@echo off

if "%1"=="" goto doUsage
if not exist %JAVA_HOME%\bin\java.exe goto wrongJava
goto run

:wrongJava
echo.
echo ERROR: Invalid environment...
echo JAVA_HOME must be defined as the directory where a verion 1.3 of the Java JRE or JDK is installed.
goto finish

:doUsage
echo.
echo Usage: XMLGenerator Type or File list
echo     [schemaUriList] is a path to a text file which is a list of resource
echo     i.e.
echo     GenerateXML Excel.Application
echo     GenerateXML "File:C:\Program Files\Microsoft Office\Office\MSO9.DLL"
goto finish

:run

:setPath
set MYPATH=.
set MYPATH=%MYPATH%;XMLGenerator.jar


%JAVA_HOME%\bin\javaw -cp %MYPATH% jp.jcomgenerator.XMLGenerator %1

:finish
