package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object EditBoxes
* It is OK to edit this code 
* @author S Lewis
*/
public class EditBoxes extends _EditBoxes
{
    /**
    * default constructor
    */
    public EditBoxes()
    {
    }
    /**
    * populating constructor
    */
    public EditBoxes(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public EditBoxes(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object BringToFront()
    {
        return(ambig_BringToFront());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Copy()
    {
        return(ambig_Copy());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AppearanceXlPictureAppearanceEnum
    * @param FormatXlCopyPictureFormatEnum
    * @param AppearanceXlPictureAppearanceEnum
    * @param FormatXlCopyPictureFormatEnum
    * @return Object
    */
    public Object CopyPicture(XlPictureAppearanceEnum Appearance,XlCopyPictureFormatEnum Format)
    {
        return(ambig_CopyPicture(Appearance,Format));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AppearanceXlPictureAppearanceEnum
    * @param AppearanceXlPictureAppearanceEnum
    * @return Object
    */
    public Object CopyPicture(XlPictureAppearanceEnum Appearance)
    {
        return(ambig_CopyPicture(Appearance));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object CopyPicture()
    {
        return(ambig_CopyPicture());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Cut()
    {
        return(ambig_Cut());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Delete()
    {
        return(ambig_Delete());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch Duplicate()
    {
        return(ambig_Duplicate());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getPlacement()
    {
        return(ambig_getPlacement());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ReplaceObject
    * @param ReplaceObject
    * @return Object
    */
    public Object Select(Object Replace)
    {
        return(ambig_Select(Replace));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Select()
    {
        return(ambig_Select());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object SendToBack()
    {
        return(ambig_SendToBack());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @param SpellLangObject
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @param SpellLangObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary,Object IgnoreUppercase,Object AlwaysSuggest,Object SpellLang)
    {
        return(ambig_CheckSpelling(CustomDictionary,IgnoreUppercase,AlwaysSuggest,SpellLang));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object CheckSpelling(Map TheParams)
    {
        return(ambig_CheckSpelling(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary,Object IgnoreUppercase,Object AlwaysSuggest)
    {
        return(ambig_CheckSpelling(CustomDictionary,IgnoreUppercase,AlwaysSuggest));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary,Object IgnoreUppercase)
    {
        return(ambig_CheckSpelling(CustomDictionary,IgnoreUppercase));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param CustomDictionaryObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary)
    {
        return(ambig_CheckSpelling(CustomDictionary));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object CheckSpelling()
    {
        return(ambig_CheckSpelling());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Object
    */
    public Object Item(Object Index)
    {
        return(ambig_Item(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return IUnknown
    */
    public IUnknown _NewEnum()
    {
        return(ambig__NewEnum());
    }

}
