package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object Font
* It is OK to edit this code 
* @author S Lewis
*/
public class Font extends _Font
{
    /**
    * default constructor
    */
    public Font()
    {
    }
    /**
    * populating constructor
    */
    public Font(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Font(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getBackground()
    {
        return(ambig_getBackground());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getBold()
    {
        return(ambig_getBold());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getColor()
    {
        return(ambig_getColor());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getColorIndex()
    {
        return(ambig_getColorIndex());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getFontStyle()
    {
        return(ambig_getFontStyle());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getItalic()
    {
        return(ambig_getItalic());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getName()
    {
        return(ambig_getName());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getOutlineFont()
    {
        return(ambig_getOutlineFont());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getShadow()
    {
        return(ambig_getShadow());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getSize()
    {
        return(ambig_getSize());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getStrikethrough()
    {
        return(ambig_getStrikethrough());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getSubscript()
    {
        return(ambig_getSubscript());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getSuperscript()
    {
        return(ambig_getSuperscript());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getUnderline()
    {
        return(ambig_getUnderline());
    }

}
