package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object Hyperlinks
* It is OK to edit this code 
* @author S Lewis
*/
public class Hyperlinks extends _Hyperlinks
{
    /**
    * default constructor
    */
    public Hyperlinks()
    {
    }
    /**
    * populating constructor
    */
    public Hyperlinks(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Hyperlinks(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AnchorDispatch
    * @param AddressString
    * @param SubAddressObject
    * @param ScreenTipObject
    * @param TextToDisplayObject
    * @param AnchorDispatch
    * @param AddressString
    * @param SubAddressObject
    * @param ScreenTipObject
    * @param TextToDisplayObject
    * @return Dispatch
    */
    public Dispatch Add(Dispatch Anchor,String Address,Object SubAddress,Object ScreenTip,Object TextToDisplay)
    {
        return(ambig_Add(Anchor,Address,SubAddress,ScreenTip,TextToDisplay));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Dispatch
    */
    public Dispatch Add(Map TheParams)
    {
        return(ambig_Add(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AnchorDispatch
    * @param AddressString
    * @param SubAddressObject
    * @param ScreenTipObject
    * @param AnchorDispatch
    * @param AddressString
    * @param SubAddressObject
    * @param ScreenTipObject
    * @return Dispatch
    */
    public Dispatch Add(Dispatch Anchor,String Address,Object SubAddress,Object ScreenTip)
    {
        return(ambig_Add(Anchor,Address,SubAddress,ScreenTip));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AnchorDispatch
    * @param AddressString
    * @param SubAddressObject
    * @param AnchorDispatch
    * @param AddressString
    * @param SubAddressObject
    * @return Dispatch
    */
    public Dispatch Add(Dispatch Anchor,String Address,Object SubAddress)
    {
        return(ambig_Add(Anchor,Address,SubAddress));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AnchorDispatch
    * @param AddressString
    * @param AnchorDispatch
    * @param AddressString
    * @return Dispatch
    */
    public Dispatch Add(Dispatch Anchor,String Address)
    {
        return(ambig_Add(Anchor,Address));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return IUnknown
    */
    public IUnknown get_NewEnum()
    {
        return(ambig_get_NewEnum());
    }

}
