package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object Pane
* It is OK to edit this code 
* @author S Lewis
*/
public class Pane extends _Pane
{
    /**
    * default constructor
    */
    public Pane()
    {
    }
    /**
    * populating constructor
    */
    public Pane(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Pane(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param ToLeftObject
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param ToLeftObject
    * @return Object
    */
    public Object LargeScroll(Object Down,Object Up,Object ToRight,Object ToLeft)
    {
        return(ambig_LargeScroll(Down,Up,ToRight,ToLeft));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object LargeScroll(Map TheParams)
    {
        return(ambig_LargeScroll(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @return Object
    */
    public Object LargeScroll(Object Down,Object Up,Object ToRight)
    {
        return(ambig_LargeScroll(Down,Up,ToRight));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param DownObject
    * @param UpObject
    * @return Object
    */
    public Object LargeScroll(Object Down,Object Up)
    {
        return(ambig_LargeScroll(Down,Up));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param DownObject
    * @return Object
    */
    public Object LargeScroll(Object Down)
    {
        return(ambig_LargeScroll(Down));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object LargeScroll()
    {
        return(ambig_LargeScroll());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param ToLeftObject
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param ToLeftObject
    * @return Object
    */
    public Object SmallScroll(Object Down,Object Up,Object ToRight,Object ToLeft)
    {
        return(ambig_SmallScroll(Down,Up,ToRight,ToLeft));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object SmallScroll(Map TheParams)
    {
        return(ambig_SmallScroll(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @return Object
    */
    public Object SmallScroll(Object Down,Object Up,Object ToRight)
    {
        return(ambig_SmallScroll(Down,Up,ToRight));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param DownObject
    * @param UpObject
    * @return Object
    */
    public Object SmallScroll(Object Down,Object Up)
    {
        return(ambig_SmallScroll(Down,Up));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param DownObject
    * @return Object
    */
    public Object SmallScroll(Object Down)
    {
        return(ambig_SmallScroll(Down));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object SmallScroll()
    {
        return(ambig_SmallScroll());
    }

}
