package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object PivotLayout
* It is OK to edit this code 
* @author S Lewis
*/
public class PivotLayout extends _PivotLayout
{
    /**
    * default constructor
    */
    public PivotLayout()
    {
    }
    /**
    * populating constructor
    */
    public PivotLayout(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public PivotLayout(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getColumnFields(Object Index)
    {
        return(ambig_getColumnFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getColumnFields()
    {
        return(ambig_getColumnFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getDataFields(Object Index)
    {
        return(ambig_getDataFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getDataFields()
    {
        return(ambig_getDataFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getPageFields(Object Index)
    {
        return(ambig_getPageFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getPageFields()
    {
        return(ambig_getPageFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getRowFields(Object Index)
    {
        return(ambig_getRowFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getRowFields()
    {
        return(ambig_getRowFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getHiddenFields(Object Index)
    {
        return(ambig_getHiddenFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getHiddenFields()
    {
        return(ambig_getHiddenFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getVisibleFields(Object Index)
    {
        return(ambig_getVisibleFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getVisibleFields()
    {
        return(ambig_getVisibleFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getPivotFields(Object Index)
    {
        return(ambig_getPivotFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getPivotFields()
    {
        return(ambig_getPivotFields());
    }

}
