package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object Point
* It is OK to edit this code 
* @author S Lewis
*/
public class Point extends _Point
{
    /**
    * default constructor
    */
    public Point()
    {
    }
    /**
    * populating constructor
    */
    public Point(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Point(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TypeXlDataLabelsTypeEnum
    * @param LegendKeyObject
    * @param AutoTextObject
    * @param TypeXlDataLabelsTypeEnum
    * @param LegendKeyObject
    * @param AutoTextObject
    * @return Object
    */
    public Object ApplyDataLabels(XlDataLabelsTypeEnum Type,Object LegendKey,Object AutoText)
    {
        return(ambig_ApplyDataLabels(Type,LegendKey,AutoText));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object ApplyDataLabels(Map TheParams)
    {
        return(ambig_ApplyDataLabels(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TypeXlDataLabelsTypeEnum
    * @param LegendKeyObject
    * @param TypeXlDataLabelsTypeEnum
    * @param LegendKeyObject
    * @return Object
    */
    public Object ApplyDataLabels(XlDataLabelsTypeEnum Type,Object LegendKey)
    {
        return(ambig_ApplyDataLabels(Type,LegendKey));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TypeXlDataLabelsTypeEnum
    * @param TypeXlDataLabelsTypeEnum
    * @return Object
    */
    public Object ApplyDataLabels(XlDataLabelsTypeEnum Type)
    {
        return(ambig_ApplyDataLabels(Type));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ApplyDataLabels()
    {
        return(ambig_ApplyDataLabels());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ClearFormats()
    {
        return(ambig_ClearFormats());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Copy()
    {
        return(ambig_Copy());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Delete()
    {
        return(ambig_Delete());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Paste()
    {
        return(ambig_Paste());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Select()
    {
        return(ambig_Select());
    }

}
