package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object Window
* It is OK to edit this code 
* @author S Lewis
*/
public class Window extends _Window
{
    /**
    * default constructor
    */
    public Window()
    {
    }
    /**
    * populating constructor
    */
    public Window(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Window(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Activate()
    {
        return(ambig_Activate());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ActivateNext()
    {
        return(ambig_ActivateNext());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ActivatePrevious()
    {
        return(ambig_ActivatePrevious());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getActiveSheet()
    {
        return(ambig_getActiveSheet());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getCaption()
    {
        return(ambig_getCaption());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param ToLeftObject
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param ToLeftObject
    * @return Object
    */
    public Object LargeScroll(Object Down,Object Up,Object ToRight,Object ToLeft)
    {
        return(ambig_LargeScroll(Down,Up,ToRight,ToLeft));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object LargeScroll(Map TheParams)
    {
        return(ambig_LargeScroll(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @return Object
    */
    public Object LargeScroll(Object Down,Object Up,Object ToRight)
    {
        return(ambig_LargeScroll(Down,Up,ToRight));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param DownObject
    * @param UpObject
    * @return Object
    */
    public Object LargeScroll(Object Down,Object Up)
    {
        return(ambig_LargeScroll(Down,Up));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param DownObject
    * @return Object
    */
    public Object LargeScroll(Object Down)
    {
        return(ambig_LargeScroll(Down));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object LargeScroll()
    {
        return(ambig_LargeScroll());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param CollateObject
    * @param PrToFileNameObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param CollateObject
    * @param PrToFileNameObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies,Object Preview,Object ActivePrinter,Object PrintToFile,Object Collate,Object PrToFileName)
    {
        return(ambig_PrintOut(From,To,Copies,Preview,ActivePrinter,PrintToFile,Collate,PrToFileName));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object PrintOut(Map TheParams)
    {
        return(ambig_PrintOut(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param CollateObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param CollateObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies,Object Preview,Object ActivePrinter,Object PrintToFile,Object Collate)
    {
        return(ambig_PrintOut(From,To,Copies,Preview,ActivePrinter,PrintToFile,Collate));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies,Object Preview,Object ActivePrinter,Object PrintToFile)
    {
        return(ambig_PrintOut(From,To,Copies,Preview,ActivePrinter,PrintToFile));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies,Object Preview,Object ActivePrinter)
    {
        return(ambig_PrintOut(From,To,Copies,Preview,ActivePrinter));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies,Object Preview)
    {
        return(ambig_PrintOut(From,To,Copies,Preview));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies)
    {
        return(ambig_PrintOut(From,To,Copies));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param FromObject
    * @param ToObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To)
    {
        return(ambig_PrintOut(From,To));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param FromObject
    * @return Object
    */
    public Object PrintOut(Object From)
    {
        return(ambig_PrintOut(From));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object PrintOut()
    {
        return(ambig_PrintOut());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param EnableChangesObject
    * @param EnableChangesObject
    * @return Object
    */
    public Object PrintPreview(Object EnableChanges)
    {
        return(ambig_PrintPreview(EnableChanges));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object PrintPreview()
    {
        return(ambig_PrintPreview());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SheetsObject
    * @param PositionObject
    * @param SheetsObject
    * @param PositionObject
    * @return Object
    */
    public Object ScrollWorkbookTabs(Object Sheets,Object Position)
    {
        return(ambig_ScrollWorkbookTabs(Sheets,Position));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SheetsObject
    * @param SheetsObject
    * @return Object
    */
    public Object ScrollWorkbookTabs(Object Sheets)
    {
        return(ambig_ScrollWorkbookTabs(Sheets));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ScrollWorkbookTabs()
    {
        return(ambig_ScrollWorkbookTabs());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getSelection()
    {
        return(ambig_getSelection());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param ToLeftObject
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param ToLeftObject
    * @return Object
    */
    public Object SmallScroll(Object Down,Object Up,Object ToRight,Object ToLeft)
    {
        return(ambig_SmallScroll(Down,Up,ToRight,ToLeft));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object SmallScroll(Map TheParams)
    {
        return(ambig_SmallScroll(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @param DownObject
    * @param UpObject
    * @param ToRightObject
    * @return Object
    */
    public Object SmallScroll(Object Down,Object Up,Object ToRight)
    {
        return(ambig_SmallScroll(Down,Up,ToRight));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param UpObject
    * @param DownObject
    * @param UpObject
    * @return Object
    */
    public Object SmallScroll(Object Down,Object Up)
    {
        return(ambig_SmallScroll(Down,Up));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DownObject
    * @param DownObject
    * @return Object
    */
    public Object SmallScroll(Object Down)
    {
        return(ambig_SmallScroll(Down));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object SmallScroll()
    {
        return(ambig_SmallScroll());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getZoom()
    {
        return(ambig_getZoom());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param xint
    * @param yint
    * @param xint
    * @param yint
    * @return Dispatch
    */
    public Dispatch RangeFromPoint(int x,int y)
    {
        return(ambig_RangeFromPoint(x,y));
    }

}
