package com.microsoft.visio;
import com.microsoft.visio.gen.*;
import com.microsoft.visio.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object IVExtender
* It is OK to edit this code 
* @author S Lewis
*/
public class IVExtender extends _IVExtender
{
    /**
    * default constructor
    */
    public IVExtender()
    {
    }
    /**
    * populating constructor
    */
    public IVExtender(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public IVExtender(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return IUnknown
    */
    public IUnknown getObject()
    {
        return(ambig_getObject());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return IUnknown
    */
    public IUnknown getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getShapeParent()
    {
        return(ambig_getShapeParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getShapeObject()
    {
        return(ambig_getShapeObject());
    }

}
