package com.microsoft.visio;
import com.microsoft.visio.gen.*;
import com.microsoft.visio.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object IVOLEObject
* It is OK to edit this code 
* @author S Lewis
*/
public class IVOLEObject extends _IVOLEObject
{
    /**
    * default constructor
    */
    public IVOLEObject()
    {
    }
    /**
    * populating constructor
    */
    public IVOLEObject(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public IVOLEObject(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getObject()
    {
        return(ambig_getObject());
    }

}
