package com.microsoft.visio;
import com.microsoft.visio.gen.*;
import com.microsoft.visio.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object IVisEventProc
* It is OK to edit this code 
* @author S Lewis
*/
public class IVisEventProc extends _IVisEventProc
{
    /**
    * default constructor
    */
    public IVisEventProc()
    {
    }
    /**
    * populating constructor
    */
    public IVisEventProc(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public IVisEventProc(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param nEventCodeshort
    * @param pSourceObjDispatch
    * @param nEventIDint
    * @param nEventSeqNumint
    * @param pSubjectObjDispatch
    * @param vMoreInfoObject
    * @param nEventCodeshort
    * @param pSourceObjDispatch
    * @param nEventIDint
    * @param nEventSeqNumint
    * @param pSubjectObjDispatch
    * @param vMoreInfoObject
    * @return Object
    */
    public Object VisEventProc(short nEventCode,Dispatch pSourceObj,int nEventID,int nEventSeqNum,Dispatch pSubjectObj,Object vMoreInfo)
    {
        return(ambig_VisEventProc(nEventCode,pSourceObj,nEventID,nEventSeqNum,pSubjectObj,vMoreInfo));
    }

}
