package com.microsoft.word;
import com.microsoft.word.gen.*;
import com.microsoft.word.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object Style
* It is OK to edit this code 
* @author S Lewis
*/
public class Style extends _Style
{
    /**
    * default constructor
    */
    public Style()
    {
    }
    /**
    * populating constructor
    */
    public Style(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Style(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getBaseStyle()
    {
        return(ambig_getBaseStyle());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getNextParagraphStyle()
    {
        return(ambig_getNextParagraphStyle());
    }

}
