import com.jacob.com.*;
import com.jacob.activeX.*;
import com.microsoft.visio.*;
import com.microsoft.visio.com_enum.*;

/**
 * VisioTest
 *
 * Starts Visio, creates some boxes, changes text styles and exists.
 *
 * @author Miika Nurminen
 * @version 0.1 - 28.11.2005
 */
public class VisioTest {
  
  /** Creates a new instance of VisioTest */
  public static void main(String[] args) {

    IVApplication  app = new IVApplication();
    app.setVisible(true);
    IVDocument d = app.getDocuments().Add("");
    IVPage p = d.getPages().getItem(1);
    IVShape s = p.DrawRectangle(0,5,2,7);
    IVCharacters c = s.getCharacters();
    c.setText("example text");
    s.setTextStyle("Guide");
/*  // convention required by jSegue
 Dispatch.put(c.getDispatch(),"CharProps",
       new Variant[]{
         new Variant(new Short((short)5)),
         new Variant((short)300)
    });*/
    
    
/*  
  doesn't work in jawin, but works in Jacob
  Variant v1 = new Variant();
        Variant v2 = new Variant();
        v1.putShort((short)5);
        v2.putShort((short)300);
        Dispatch.invoke(c.getDispatch(),"CharProps",Dispatch.Put,new Variant[]{
           v1,
           v2
        }, new int[1]);
  */  

    // testing java2com generated COM enums
    c.setCharProps(VisCellIndicesEnum.visCharacterFontScale_ENUM.getEnumeratedInteger().shortValue(),(short)400);
    IVShape s2 = p.DrawRectangle(3,5,5,7);
    s2.setText("another box");
    
    // Wait five seconds;
    try {
      Thread.sleep(5000);
    } catch (Exception e) {
      
    }
    app.Quit(); // exit. if there were no problens, com thread should be released automatically
  }
}
