package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object _Application
* It is OK to edit this code 
* @author S Lewis
*/
public class Application extends _Application
{
    /**
    * default constructor
    */
    public Application()
    {
    }
    /**
    * populating constructor
    */
    public Application(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Application(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getActiveSheet()
    {
        return(ambig_getActiveSheet());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Channelint
    * @param ItemString
    * @param Channelint
    * @param ItemString
    * @return Object
    */
    public Object DDERequest(int Channel,String Item)
    {
        return(ambig_DDERequest(Channel,Item));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NameObject
    * @param NameObject
    * @return Object
    */
    public Object Evaluate(Object Name)
    {
        return(ambig_Evaluate(Name));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NameObject
    * @param NameObject
    * @return Object
    */
    public Object _Evaluate(Object Name)
    {
        return(ambig__Evaluate(Name));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param StringString
    * @param StringString
    * @return Object
    */
    public Object ExecuteExcel4Macro(String String)
    {
        return(ambig_ExecuteExcel4Macro(String));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param Arg30Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param Arg30Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28,Object Arg29,Object Arg30)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28,Arg29,Arg30));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object Run(Map TheParams)
    {
        return(ambig_Run(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28,Object Arg29)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28,Arg29));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4,Arg5));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3,Arg4));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2,Object Arg3)
    {
        return(ambig_Run(Macro,Arg1,Arg2,Arg3));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1,Object Arg2)
    {
        return(ambig_Run(Macro,Arg1,Arg2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param MacroObject
    * @param Arg1Object
    * @return Object
    */
    public Object Run(Object Macro,Object Arg1)
    {
        return(ambig_Run(Macro,Arg1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param MacroObject
    * @return Object
    */
    public Object Run(Object Macro)
    {
        return(ambig_Run(Macro));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Run()
    {
        return(ambig_Run());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param Arg30Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param Arg30Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28,Object Arg29,Object Arg30)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28,Arg29,Arg30));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object _Run2(Map TheParams)
    {
        return(ambig__Run2(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28,Object Arg29)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28,Arg29));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5,Arg6));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4,Arg5));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3,Object Arg4)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3,Arg4));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2,Object Arg3)
    {
        return(ambig__Run2(Macro,Arg1,Arg2,Arg3));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @param MacroObject
    * @param Arg1Object
    * @param Arg2Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1,Object Arg2)
    {
        return(ambig__Run2(Macro,Arg1,Arg2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param Arg1Object
    * @param MacroObject
    * @param Arg1Object
    * @return Object
    */
    public Object _Run2(Object Macro,Object Arg1)
    {
        return(ambig__Run2(Macro,Arg1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroObject
    * @param MacroObject
    * @return Object
    */
    public Object _Run2(Object Macro)
    {
        return(ambig__Run2(Macro));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object _Run2()
    {
        return(ambig__Run2());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getSelection()
    {
        return(ambig_getSelection());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Object
    */
    public Object getCaller(Object Index)
    {
        return(ambig_getCaller(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getCaller()
    {
        return(ambig_getCaller());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Object
    */
    public Object getClipboardFormats(Object Index)
    {
        return(ambig_getClipboardFormats(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getClipboardFormats()
    {
        return(ambig_getClipboardFormats());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FormulaObject
    * @param FromReferenceStyleXlReferenceStyleEnum
    * @param ToReferenceStyleObject
    * @param ToAbsoluteObject
    * @param RelativeToObject
    * @param FormulaObject
    * @param FromReferenceStyleXlReferenceStyleEnum
    * @param ToReferenceStyleObject
    * @param ToAbsoluteObject
    * @param RelativeToObject
    * @return Object
    */
    public Object ConvertFormula(Object Formula,XlReferenceStyleEnum FromReferenceStyle,Object ToReferenceStyle,Object ToAbsolute,Object RelativeTo)
    {
        return(ambig_ConvertFormula(Formula,FromReferenceStyle,ToReferenceStyle,ToAbsolute,RelativeTo));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object ConvertFormula(Map TheParams)
    {
        return(ambig_ConvertFormula(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FormulaObject
    * @param FromReferenceStyleXlReferenceStyleEnum
    * @param ToReferenceStyleObject
    * @param ToAbsoluteObject
    * @param FormulaObject
    * @param FromReferenceStyleXlReferenceStyleEnum
    * @param ToReferenceStyleObject
    * @param ToAbsoluteObject
    * @return Object
    */
    public Object ConvertFormula(Object Formula,XlReferenceStyleEnum FromReferenceStyle,Object ToReferenceStyle,Object ToAbsolute)
    {
        return(ambig_ConvertFormula(Formula,FromReferenceStyle,ToReferenceStyle,ToAbsolute));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FormulaObject
    * @param FromReferenceStyleXlReferenceStyleEnum
    * @param ToReferenceStyleObject
    * @param FormulaObject
    * @param FromReferenceStyleXlReferenceStyleEnum
    * @param ToReferenceStyleObject
    * @return Object
    */
    public Object ConvertFormula(Object Formula,XlReferenceStyleEnum FromReferenceStyle,Object ToReferenceStyle)
    {
        return(ambig_ConvertFormula(Formula,FromReferenceStyle,ToReferenceStyle));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FormulaObject
    * @param FromReferenceStyleXlReferenceStyleEnum
    * @param FormulaObject
    * @param FromReferenceStyleXlReferenceStyleEnum
    * @return Object
    */
    public Object ConvertFormula(Object Formula,XlReferenceStyleEnum FromReferenceStyle)
    {
        return(ambig_ConvertFormula(Formula,FromReferenceStyle));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Index1Object
    * @param Index2Object
    * @param Index1Object
    * @param Index2Object
    * @return Object
    */
    public Object getFileConverters(Object Index1,Object Index2)
    {
        return(ambig_getFileConverters(Index1,Index2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Index1Object
    * @param Index1Object
    * @return Object
    */
    public Object getFileConverters(Object Index1)
    {
        return(ambig_getFileConverters(Index1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getFileConverters()
    {
        return(ambig_getFileConverters());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ListNumint
    * @param ListNumint
    * @return Object
    */
    public Object GetCustomListContents(int ListNum)
    {
        return(ambig_GetCustomListContents(ListNum));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param TitleObject
    * @param ButtonTextObject
    * @param MultiSelectObject
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param TitleObject
    * @param ButtonTextObject
    * @param MultiSelectObject
    * @return Object
    */
    public Object GetOpenFilename(Object FileFilter,Object FilterIndex,Object Title,Object ButtonText,Object MultiSelect)
    {
        return(ambig_GetOpenFilename(FileFilter,FilterIndex,Title,ButtonText,MultiSelect));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object GetOpenFilename(Map TheParams)
    {
        return(ambig_GetOpenFilename(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param TitleObject
    * @param ButtonTextObject
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param TitleObject
    * @param ButtonTextObject
    * @return Object
    */
    public Object GetOpenFilename(Object FileFilter,Object FilterIndex,Object Title,Object ButtonText)
    {
        return(ambig_GetOpenFilename(FileFilter,FilterIndex,Title,ButtonText));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param TitleObject
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param TitleObject
    * @return Object
    */
    public Object GetOpenFilename(Object FileFilter,Object FilterIndex,Object Title)
    {
        return(ambig_GetOpenFilename(FileFilter,FilterIndex,Title));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param FileFilterObject
    * @param FilterIndexObject
    * @return Object
    */
    public Object GetOpenFilename(Object FileFilter,Object FilterIndex)
    {
        return(ambig_GetOpenFilename(FileFilter,FilterIndex));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FileFilterObject
    * @param FileFilterObject
    * @return Object
    */
    public Object GetOpenFilename(Object FileFilter)
    {
        return(ambig_GetOpenFilename(FileFilter));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object GetOpenFilename()
    {
        return(ambig_GetOpenFilename());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param InitialFilenameObject
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param TitleObject
    * @param ButtonTextObject
    * @param InitialFilenameObject
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param TitleObject
    * @param ButtonTextObject
    * @return Object
    */
    public Object GetSaveAsFilename(Object InitialFilename,Object FileFilter,Object FilterIndex,Object Title,Object ButtonText)
    {
        return(ambig_GetSaveAsFilename(InitialFilename,FileFilter,FilterIndex,Title,ButtonText));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object GetSaveAsFilename(Map TheParams)
    {
        return(ambig_GetSaveAsFilename(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param InitialFilenameObject
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param TitleObject
    * @param InitialFilenameObject
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param TitleObject
    * @return Object
    */
    public Object GetSaveAsFilename(Object InitialFilename,Object FileFilter,Object FilterIndex,Object Title)
    {
        return(ambig_GetSaveAsFilename(InitialFilename,FileFilter,FilterIndex,Title));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param InitialFilenameObject
    * @param FileFilterObject
    * @param FilterIndexObject
    * @param InitialFilenameObject
    * @param FileFilterObject
    * @param FilterIndexObject
    * @return Object
    */
    public Object GetSaveAsFilename(Object InitialFilename,Object FileFilter,Object FilterIndex)
    {
        return(ambig_GetSaveAsFilename(InitialFilename,FileFilter,FilterIndex));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param InitialFilenameObject
    * @param FileFilterObject
    * @param InitialFilenameObject
    * @param FileFilterObject
    * @return Object
    */
    public Object GetSaveAsFilename(Object InitialFilename,Object FileFilter)
    {
        return(ambig_GetSaveAsFilename(InitialFilename,FileFilter));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param InitialFilenameObject
    * @param InitialFilenameObject
    * @return Object
    */
    public Object GetSaveAsFilename(Object InitialFilename)
    {
        return(ambig_GetSaveAsFilename(InitialFilename));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object GetSaveAsFilename()
    {
        return(ambig_GetSaveAsFilename());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @param LeftObject
    * @param TopObject
    * @param HelpFileObject
    * @param HelpContextIDObject
    * @param TypeObject
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @param LeftObject
    * @param TopObject
    * @param HelpFileObject
    * @param HelpContextIDObject
    * @param TypeObject
    * @return Object
    */
    public Object InputBox(String Prompt,Object Title,Object Default,Object Left,Object Top,Object HelpFile,Object HelpContextID,Object Type)
    {
        return(ambig_InputBox(Prompt,Title,Default,Left,Top,HelpFile,HelpContextID,Type));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object InputBox(Map TheParams)
    {
        return(ambig_InputBox(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @param LeftObject
    * @param TopObject
    * @param HelpFileObject
    * @param HelpContextIDObject
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @param LeftObject
    * @param TopObject
    * @param HelpFileObject
    * @param HelpContextIDObject
    * @return Object
    */
    public Object InputBox(String Prompt,Object Title,Object Default,Object Left,Object Top,Object HelpFile,Object HelpContextID)
    {
        return(ambig_InputBox(Prompt,Title,Default,Left,Top,HelpFile,HelpContextID));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @param LeftObject
    * @param TopObject
    * @param HelpFileObject
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @param LeftObject
    * @param TopObject
    * @param HelpFileObject
    * @return Object
    */
    public Object InputBox(String Prompt,Object Title,Object Default,Object Left,Object Top,Object HelpFile)
    {
        return(ambig_InputBox(Prompt,Title,Default,Left,Top,HelpFile));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @param LeftObject
    * @param TopObject
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @param LeftObject
    * @param TopObject
    * @return Object
    */
    public Object InputBox(String Prompt,Object Title,Object Default,Object Left,Object Top)
    {
        return(ambig_InputBox(Prompt,Title,Default,Left,Top));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @param LeftObject
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @param LeftObject
    * @return Object
    */
    public Object InputBox(String Prompt,Object Title,Object Default,Object Left)
    {
        return(ambig_InputBox(Prompt,Title,Default,Left));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @param PromptString
    * @param TitleObject
    * @param DefaultObject
    * @return Object
    */
    public Object InputBox(String Prompt,Object Title,Object Default)
    {
        return(ambig_InputBox(Prompt,Title,Default));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PromptString
    * @param TitleObject
    * @param PromptString
    * @param TitleObject
    * @return Object
    */
    public Object InputBox(String Prompt,Object Title)
    {
        return(ambig_InputBox(Prompt,Title));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PromptString
    * @param PromptString
    * @return Object
    */
    public Object InputBox(String Prompt)
    {
        return(ambig_InputBox(Prompt));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Object
    */
    public Object getInternational(Object Index)
    {
        return(ambig_getInternational(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getInternational()
    {
        return(ambig_getInternational());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getMailSession()
    {
        return(ambig_getMailSession());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Object
    */
    public Object getPreviousSelections(Object Index)
    {
        return(ambig_getPreviousSelections(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getPreviousSelections()
    {
        return(ambig_getPreviousSelections());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Index1Object
    * @param Index2Object
    * @param Index1Object
    * @param Index2Object
    * @return Object
    */
    public Object getRegisteredFunctions(Object Index1,Object Index2)
    {
        return(ambig_getRegisteredFunctions(Index1,Index2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Index1Object
    * @param Index1Object
    * @return Object
    */
    public Object getRegisteredFunctions(Object Index1)
    {
        return(ambig_getRegisteredFunctions(Index1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getRegisteredFunctions()
    {
        return(ambig_getRegisteredFunctions());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getStatusBar()
    {
        return(ambig_getStatusBar());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param Arg30Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param Arg30Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28,Object Arg29,Object Arg30)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28,Arg29,Arg30));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object _WSFunction(Map TheParams)
    {
        return(ambig__WSFunction(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28,Object Arg29)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28,Arg29));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4,Arg5));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3,Object Arg4)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3,Arg4));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2,Object Arg3)
    {
        return(ambig__WSFunction(Arg1,Arg2,Arg3));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg1Object
    * @param Arg2Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1,Object Arg2)
    {
        return(ambig__WSFunction(Arg1,Arg2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg1Object
    * @return Object
    */
    public Object _WSFunction(Object Arg1)
    {
        return(ambig__WSFunction(Arg1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object _WSFunction()
    {
        return(ambig__WSFunction());
    }

}
