package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object DrawingObjects
* It is OK to edit this code 
* @author S Lewis
*/
public class DrawingObjects extends _DrawingObjects
{
    /**
    * default constructor
    */
    public DrawingObjects()
    {
    }
    /**
    * populating constructor
    */
    public DrawingObjects(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public DrawingObjects(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object BringToFront()
    {
        return(ambig_BringToFront());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Copy()
    {
        return(ambig_Copy());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AppearanceXlPictureAppearanceEnum
    * @param FormatXlCopyPictureFormatEnum
    * @param AppearanceXlPictureAppearanceEnum
    * @param FormatXlCopyPictureFormatEnum
    * @return Object
    */
    public Object CopyPicture(XlPictureAppearanceEnum Appearance,XlCopyPictureFormatEnum Format)
    {
        return(ambig_CopyPicture(Appearance,Format));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AppearanceXlPictureAppearanceEnum
    * @param AppearanceXlPictureAppearanceEnum
    * @return Object
    */
    public Object CopyPicture(XlPictureAppearanceEnum Appearance)
    {
        return(ambig_CopyPicture(Appearance));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object CopyPicture()
    {
        return(ambig_CopyPicture());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Cut()
    {
        return(ambig_Cut());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Delete()
    {
        return(ambig_Delete());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch Duplicate()
    {
        return(ambig_Duplicate());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getPlacement()
    {
        return(ambig_getPlacement());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ReplaceObject
    * @param ReplaceObject
    * @return Object
    */
    public Object Select(Object Replace)
    {
        return(ambig_Select(Replace));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Select()
    {
        return(ambig_Select());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object SendToBack()
    {
        return(ambig_SendToBack());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getAccelerator()
    {
        return(ambig_getAccelerator());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TextObject
    * @param IndexObject
    * @param TextObject
    * @param IndexObject
    * @return Object
    */
    public Object AddItem(Object Text,Object Index)
    {
        return(ambig_AddItem(Text,Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TextObject
    * @param TextObject
    * @return Object
    */
    public Object AddItem(Object Text)
    {
        return(ambig_AddItem(Text));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getArrowHeadLength()
    {
        return(ambig_getArrowHeadLength());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getArrowHeadStyle()
    {
        return(ambig_getArrowHeadStyle());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getArrowHeadWidth()
    {
        return(ambig_getArrowHeadWidth());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @param SpellLangObject
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @param SpellLangObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary,Object IgnoreUppercase,Object AlwaysSuggest,Object SpellLang)
    {
        return(ambig_CheckSpelling(CustomDictionary,IgnoreUppercase,AlwaysSuggest,SpellLang));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object CheckSpelling(Map TheParams)
    {
        return(ambig_CheckSpelling(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary,Object IgnoreUppercase,Object AlwaysSuggest)
    {
        return(ambig_CheckSpelling(CustomDictionary,IgnoreUppercase,AlwaysSuggest));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary,Object IgnoreUppercase)
    {
        return(ambig_CheckSpelling(CustomDictionary,IgnoreUppercase));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param CustomDictionaryObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary)
    {
        return(ambig_CheckSpelling(CustomDictionary));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object CheckSpelling()
    {
        return(ambig_CheckSpelling());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getHorizontalAlignment()
    {
        return(ambig_getHorizontalAlignment());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Object
    */
    public Object List(Object Index)
    {
        return(ambig_List(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object List()
    {
        return(ambig_List());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getOrientation()
    {
        return(ambig_getOrientation());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getPhoneticAccelerator()
    {
        return(ambig_getPhoneticAccelerator());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object RemoveAllItems()
    {
        return(ambig_RemoveAllItems());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Indexint
    * @param CountObject
    * @param Indexint
    * @param CountObject
    * @return Object
    */
    public Object RemoveItem(int Index,Object Count)
    {
        return(ambig_RemoveItem(Index,Count));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Indexint
    * @param Indexint
    * @return Object
    */
    public Object RemoveItem(int Index)
    {
        return(ambig_RemoveItem(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Vertexint
    * @param InsertObject
    * @param LeftObject
    * @param TopObject
    * @param Vertexint
    * @param InsertObject
    * @param LeftObject
    * @param TopObject
    * @return Object
    */
    public Object Reshape(int Vertex,Object Insert,Object Left,Object Top)
    {
        return(ambig_Reshape(Vertex,Insert,Left,Top));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Vertexint
    * @param InsertObject
    * @param LeftObject
    * @param Vertexint
    * @param InsertObject
    * @param LeftObject
    * @return Object
    */
    public Object Reshape(int Vertex,Object Insert,Object Left)
    {
        return(ambig_Reshape(Vertex,Insert,Left));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Vertexint
    * @param InsertObject
    * @param Vertexint
    * @param InsertObject
    * @return Object
    */
    public Object Reshape(int Vertex,Object Insert)
    {
        return(ambig_Reshape(Vertex,Insert));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Object
    */
    public Object Selected(Object Index)
    {
        return(ambig_Selected(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Selected()
    {
        return(ambig_Selected());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch Ungroup()
    {
        return(ambig_Ungroup());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getVerticalAlignment()
    {
        return(ambig_getVerticalAlignment());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Index1Object
    * @param Index2Object
    * @param Index1Object
    * @param Index2Object
    * @return Object
    */
    public Object Vertices(Object Index1,Object Index2)
    {
        return(ambig_Vertices(Index1,Index2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Index1Object
    * @param Index1Object
    * @return Object
    */
    public Object Vertices(Object Index1)
    {
        return(ambig_Vertices(Index1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Vertices()
    {
        return(ambig_Vertices());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch Item(Object Index)
    {
        return(ambig_Item(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param LinkObject
    * @param LinkObject
    * @return Object
    */
    public Object LinkCombo(Object Link)
    {
        return(ambig_LinkCombo(Link));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object LinkCombo()
    {
        return(ambig_LinkCombo());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return IUnknown
    */
    public IUnknown _NewEnum()
    {
        return(ambig__NewEnum());
    }

}
