package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object DropDowns
* It is OK to edit this code 
* @author S Lewis
*/
public class DropDowns extends _DropDowns
{
    /**
    * default constructor
    */
    public DropDowns()
    {
    }
    /**
    * populating constructor
    */
    public DropDowns(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public DropDowns(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object BringToFront()
    {
        return(ambig_BringToFront());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Copy()
    {
        return(ambig_Copy());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AppearanceXlPictureAppearanceEnum
    * @param FormatXlCopyPictureFormatEnum
    * @param AppearanceXlPictureAppearanceEnum
    * @param FormatXlCopyPictureFormatEnum
    * @return Object
    */
    public Object CopyPicture(XlPictureAppearanceEnum Appearance,XlCopyPictureFormatEnum Format)
    {
        return(ambig_CopyPicture(Appearance,Format));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AppearanceXlPictureAppearanceEnum
    * @param AppearanceXlPictureAppearanceEnum
    * @return Object
    */
    public Object CopyPicture(XlPictureAppearanceEnum Appearance)
    {
        return(ambig_CopyPicture(Appearance));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object CopyPicture()
    {
        return(ambig_CopyPicture());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Cut()
    {
        return(ambig_Cut());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Delete()
    {
        return(ambig_Delete());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch Duplicate()
    {
        return(ambig_Duplicate());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getPlacement()
    {
        return(ambig_getPlacement());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ReplaceObject
    * @param ReplaceObject
    * @return Object
    */
    public Object Select(Object Replace)
    {
        return(ambig_Select(Replace));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Select()
    {
        return(ambig_Select());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object SendToBack()
    {
        return(ambig_SendToBack());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TextObject
    * @param IndexObject
    * @param TextObject
    * @param IndexObject
    * @return Object
    */
    public Object AddItem(Object Text,Object Index)
    {
        return(ambig_AddItem(Text,Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TextObject
    * @param TextObject
    * @return Object
    */
    public Object AddItem(Object Text)
    {
        return(ambig_AddItem(Text));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Object
    */
    public Object getList(Object Index)
    {
        return(ambig_getList(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getList()
    {
        return(ambig_getList());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object RemoveAllItems()
    {
        return(ambig_RemoveAllItems());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Indexint
    * @param CountObject
    * @param Indexint
    * @param CountObject
    * @return Object
    */
    public Object RemoveItem(int Index,Object Count)
    {
        return(ambig_RemoveItem(Index,Count));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Indexint
    * @param Indexint
    * @return Object
    */
    public Object RemoveItem(int Index)
    {
        return(ambig_RemoveItem(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Object
    */
    public Object getSelected(Object Index)
    {
        return(ambig_getSelected(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getSelected()
    {
        return(ambig_getSelected());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch Item(Object Index)
    {
        return(ambig_Item(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return IUnknown
    */
    public IUnknown _NewEnum()
    {
        return(ambig__NewEnum());
    }

}
