package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object Range
* It is OK to edit this code 
* @author S Lewis
*/
public class Range extends _Range
{
    /**
    * default constructor
    */
    public Range()
    {
    }
    /**
    * populating constructor
    */
    public Range(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Range(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Activate()
    {
        return(ambig_Activate());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getAddIndent()
    {
        return(ambig_getAddIndent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ActionXlFilterActionEnum
    * @param CriteriaRangeObject
    * @param CopyToRangeObject
    * @param UniqueObject
    * @param ActionXlFilterActionEnum
    * @param CriteriaRangeObject
    * @param CopyToRangeObject
    * @param UniqueObject
    * @return Object
    */
    public Object AdvancedFilter(XlFilterActionEnum Action,Object CriteriaRange,Object CopyToRange,Object Unique)
    {
        return(ambig_AdvancedFilter(Action,CriteriaRange,CopyToRange,Unique));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object AdvancedFilter(Map TheParams)
    {
        return(ambig_AdvancedFilter(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ActionXlFilterActionEnum
    * @param CriteriaRangeObject
    * @param CopyToRangeObject
    * @param ActionXlFilterActionEnum
    * @param CriteriaRangeObject
    * @param CopyToRangeObject
    * @return Object
    */
    public Object AdvancedFilter(XlFilterActionEnum Action,Object CriteriaRange,Object CopyToRange)
    {
        return(ambig_AdvancedFilter(Action,CriteriaRange,CopyToRange));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ActionXlFilterActionEnum
    * @param CriteriaRangeObject
    * @param ActionXlFilterActionEnum
    * @param CriteriaRangeObject
    * @return Object
    */
    public Object AdvancedFilter(XlFilterActionEnum Action,Object CriteriaRange)
    {
        return(ambig_AdvancedFilter(Action,CriteriaRange));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ActionXlFilterActionEnum
    * @param ActionXlFilterActionEnum
    * @return Object
    */
    public Object AdvancedFilter(XlFilterActionEnum Action)
    {
        return(ambig_AdvancedFilter(Action));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @param UseRowColumnNamesObject
    * @param OmitColumnObject
    * @param OmitRowObject
    * @param OrderXlApplyNamesOrderEnum
    * @param AppendLastObject
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @param UseRowColumnNamesObject
    * @param OmitColumnObject
    * @param OmitRowObject
    * @param OrderXlApplyNamesOrderEnum
    * @param AppendLastObject
    * @return Object
    */
    public Object ApplyNames(Object Names,Object IgnoreRelativeAbsolute,Object UseRowColumnNames,Object OmitColumn,Object OmitRow,XlApplyNamesOrderEnum Order,Object AppendLast)
    {
        return(ambig_ApplyNames(Names,IgnoreRelativeAbsolute,UseRowColumnNames,OmitColumn,OmitRow,Order,AppendLast));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object ApplyNames(Map TheParams)
    {
        return(ambig_ApplyNames(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @param UseRowColumnNamesObject
    * @param OmitColumnObject
    * @param OmitRowObject
    * @param OrderXlApplyNamesOrderEnum
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @param UseRowColumnNamesObject
    * @param OmitColumnObject
    * @param OmitRowObject
    * @param OrderXlApplyNamesOrderEnum
    * @return Object
    */
    public Object ApplyNames(Object Names,Object IgnoreRelativeAbsolute,Object UseRowColumnNames,Object OmitColumn,Object OmitRow,XlApplyNamesOrderEnum Order)
    {
        return(ambig_ApplyNames(Names,IgnoreRelativeAbsolute,UseRowColumnNames,OmitColumn,OmitRow,Order));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @param UseRowColumnNamesObject
    * @param OmitColumnObject
    * @param OmitRowObject
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @param UseRowColumnNamesObject
    * @param OmitColumnObject
    * @param OmitRowObject
    * @return Object
    */
    public Object ApplyNames(Object Names,Object IgnoreRelativeAbsolute,Object UseRowColumnNames,Object OmitColumn,Object OmitRow)
    {
        return(ambig_ApplyNames(Names,IgnoreRelativeAbsolute,UseRowColumnNames,OmitColumn,OmitRow));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @param UseRowColumnNamesObject
    * @param OmitColumnObject
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @param UseRowColumnNamesObject
    * @param OmitColumnObject
    * @return Object
    */
    public Object ApplyNames(Object Names,Object IgnoreRelativeAbsolute,Object UseRowColumnNames,Object OmitColumn)
    {
        return(ambig_ApplyNames(Names,IgnoreRelativeAbsolute,UseRowColumnNames,OmitColumn));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @param UseRowColumnNamesObject
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @param UseRowColumnNamesObject
    * @return Object
    */
    public Object ApplyNames(Object Names,Object IgnoreRelativeAbsolute,Object UseRowColumnNames)
    {
        return(ambig_ApplyNames(Names,IgnoreRelativeAbsolute,UseRowColumnNames));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @param NamesObject
    * @param IgnoreRelativeAbsoluteObject
    * @return Object
    */
    public Object ApplyNames(Object Names,Object IgnoreRelativeAbsolute)
    {
        return(ambig_ApplyNames(Names,IgnoreRelativeAbsolute));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NamesObject
    * @param NamesObject
    * @return Object
    */
    public Object ApplyNames(Object Names)
    {
        return(ambig_ApplyNames(Names));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ApplyNames()
    {
        return(ambig_ApplyNames());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ApplyOutlineStyles()
    {
        return(ambig_ApplyOutlineStyles());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationRange
    * @param TypeXlAutoFillTypeEnum
    * @param DestinationRange
    * @param TypeXlAutoFillTypeEnum
    * @return Object
    */
    public Object AutoFill(Range Destination,XlAutoFillTypeEnum Type)
    {
        return(ambig_AutoFill(Destination,Type));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationRange
    * @param DestinationRange
    * @return Object
    */
    public Object AutoFill(Range Destination)
    {
        return(ambig_AutoFill(Destination));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FieldObject
    * @param Criteria1Object
    * @param OperatorXlAutoFilterOperatorEnum
    * @param Criteria2Object
    * @param VisibleDropDownObject
    * @param FieldObject
    * @param Criteria1Object
    * @param OperatorXlAutoFilterOperatorEnum
    * @param Criteria2Object
    * @param VisibleDropDownObject
    * @return Object
    */
    public Object AutoFilter(Object Field,Object Criteria1,XlAutoFilterOperatorEnum Operator,Object Criteria2,Object VisibleDropDown)
    {
        return(ambig_AutoFilter(Field,Criteria1,Operator,Criteria2,VisibleDropDown));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object AutoFilter(Map TheParams)
    {
        return(ambig_AutoFilter(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FieldObject
    * @param Criteria1Object
    * @param OperatorXlAutoFilterOperatorEnum
    * @param Criteria2Object
    * @param FieldObject
    * @param Criteria1Object
    * @param OperatorXlAutoFilterOperatorEnum
    * @param Criteria2Object
    * @return Object
    */
    public Object AutoFilter(Object Field,Object Criteria1,XlAutoFilterOperatorEnum Operator,Object Criteria2)
    {
        return(ambig_AutoFilter(Field,Criteria1,Operator,Criteria2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FieldObject
    * @param Criteria1Object
    * @param OperatorXlAutoFilterOperatorEnum
    * @param FieldObject
    * @param Criteria1Object
    * @param OperatorXlAutoFilterOperatorEnum
    * @return Object
    */
    public Object AutoFilter(Object Field,Object Criteria1,XlAutoFilterOperatorEnum Operator)
    {
        return(ambig_AutoFilter(Field,Criteria1,Operator));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FieldObject
    * @param Criteria1Object
    * @param FieldObject
    * @param Criteria1Object
    * @return Object
    */
    public Object AutoFilter(Object Field,Object Criteria1)
    {
        return(ambig_AutoFilter(Field,Criteria1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FieldObject
    * @param FieldObject
    * @return Object
    */
    public Object AutoFilter(Object Field)
    {
        return(ambig_AutoFilter(Field));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object AutoFilter()
    {
        return(ambig_AutoFilter());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object AutoFit()
    {
        return(ambig_AutoFit());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @param FontObject
    * @param AlignmentObject
    * @param BorderObject
    * @param PatternObject
    * @param WidthObject
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @param FontObject
    * @param AlignmentObject
    * @param BorderObject
    * @param PatternObject
    * @param WidthObject
    * @return Object
    */
    public Object AutoFormat(XlRangeAutoFormatEnum Format,Object Number,Object Font,Object Alignment,Object Border,Object Pattern,Object Width)
    {
        return(ambig_AutoFormat(Format,Number,Font,Alignment,Border,Pattern,Width));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object AutoFormat(Map TheParams)
    {
        return(ambig_AutoFormat(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @param FontObject
    * @param AlignmentObject
    * @param BorderObject
    * @param PatternObject
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @param FontObject
    * @param AlignmentObject
    * @param BorderObject
    * @param PatternObject
    * @return Object
    */
    public Object AutoFormat(XlRangeAutoFormatEnum Format,Object Number,Object Font,Object Alignment,Object Border,Object Pattern)
    {
        return(ambig_AutoFormat(Format,Number,Font,Alignment,Border,Pattern));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @param FontObject
    * @param AlignmentObject
    * @param BorderObject
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @param FontObject
    * @param AlignmentObject
    * @param BorderObject
    * @return Object
    */
    public Object AutoFormat(XlRangeAutoFormatEnum Format,Object Number,Object Font,Object Alignment,Object Border)
    {
        return(ambig_AutoFormat(Format,Number,Font,Alignment,Border));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @param FontObject
    * @param AlignmentObject
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @param FontObject
    * @param AlignmentObject
    * @return Object
    */
    public Object AutoFormat(XlRangeAutoFormatEnum Format,Object Number,Object Font,Object Alignment)
    {
        return(ambig_AutoFormat(Format,Number,Font,Alignment));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @param FontObject
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @param FontObject
    * @return Object
    */
    public Object AutoFormat(XlRangeAutoFormatEnum Format,Object Number,Object Font)
    {
        return(ambig_AutoFormat(Format,Number,Font));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @param FormatXlRangeAutoFormatEnum
    * @param NumberObject
    * @return Object
    */
    public Object AutoFormat(XlRangeAutoFormatEnum Format,Object Number)
    {
        return(ambig_AutoFormat(Format,Number));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FormatXlRangeAutoFormatEnum
    * @param FormatXlRangeAutoFormatEnum
    * @return Object
    */
    public Object AutoFormat(XlRangeAutoFormatEnum Format)
    {
        return(ambig_AutoFormat(Format));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object AutoFormat()
    {
        return(ambig_AutoFormat());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object AutoOutline()
    {
        return(ambig_AutoOutline());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param LineStyleObject
    * @param WeightXlBorderWeightEnum
    * @param ColorIndexXlColorIndexEnum
    * @param ColorObject
    * @param LineStyleObject
    * @param WeightXlBorderWeightEnum
    * @param ColorIndexXlColorIndexEnum
    * @param ColorObject
    * @return Object
    */
    public Object BorderAround(Object LineStyle,XlBorderWeightEnum Weight,XlColorIndexEnum ColorIndex,Object Color)
    {
        return(ambig_BorderAround(LineStyle,Weight,ColorIndex,Color));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object BorderAround(Map TheParams)
    {
        return(ambig_BorderAround(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param LineStyleObject
    * @param WeightXlBorderWeightEnum
    * @param ColorIndexXlColorIndexEnum
    * @param LineStyleObject
    * @param WeightXlBorderWeightEnum
    * @param ColorIndexXlColorIndexEnum
    * @return Object
    */
    public Object BorderAround(Object LineStyle,XlBorderWeightEnum Weight,XlColorIndexEnum ColorIndex)
    {
        return(ambig_BorderAround(LineStyle,Weight,ColorIndex));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param LineStyleObject
    * @param WeightXlBorderWeightEnum
    * @param LineStyleObject
    * @param WeightXlBorderWeightEnum
    * @return Object
    */
    public Object BorderAround(Object LineStyle,XlBorderWeightEnum Weight)
    {
        return(ambig_BorderAround(LineStyle,Weight));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param LineStyleObject
    * @param LineStyleObject
    * @return Object
    */
    public Object BorderAround(Object LineStyle)
    {
        return(ambig_BorderAround(LineStyle));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object BorderAround()
    {
        return(ambig_BorderAround());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Calculate()
    {
        return(ambig_Calculate());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @param SpellLangObject
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @param SpellLangObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary,Object IgnoreUppercase,Object AlwaysSuggest,Object SpellLang)
    {
        return(ambig_CheckSpelling(CustomDictionary,IgnoreUppercase,AlwaysSuggest,SpellLang));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object CheckSpelling(Map TheParams)
    {
        return(ambig_CheckSpelling(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param AlwaysSuggestObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary,Object IgnoreUppercase,Object AlwaysSuggest)
    {
        return(ambig_CheckSpelling(CustomDictionary,IgnoreUppercase,AlwaysSuggest));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @param CustomDictionaryObject
    * @param IgnoreUppercaseObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary,Object IgnoreUppercase)
    {
        return(ambig_CheckSpelling(CustomDictionary,IgnoreUppercase));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param CustomDictionaryObject
    * @param CustomDictionaryObject
    * @return Object
    */
    public Object CheckSpelling(Object CustomDictionary)
    {
        return(ambig_CheckSpelling(CustomDictionary));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object CheckSpelling()
    {
        return(ambig_CheckSpelling());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Clear()
    {
        return(ambig_Clear());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ClearContents()
    {
        return(ambig_ClearContents());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ClearFormats()
    {
        return(ambig_ClearFormats());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ClearNotes()
    {
        return(ambig_ClearNotes());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ClearOutline()
    {
        return(ambig_ClearOutline());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getColumnWidth()
    {
        return(ambig_getColumnWidth());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SourcesObject
    * @param FunctionObject
    * @param TopRowObject
    * @param LeftColumnObject
    * @param CreateLinksObject
    * @param SourcesObject
    * @param FunctionObject
    * @param TopRowObject
    * @param LeftColumnObject
    * @param CreateLinksObject
    * @return Object
    */
    public Object Consolidate(Object Sources,Object Function,Object TopRow,Object LeftColumn,Object CreateLinks)
    {
        return(ambig_Consolidate(Sources,Function,TopRow,LeftColumn,CreateLinks));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object Consolidate(Map TheParams)
    {
        return(ambig_Consolidate(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SourcesObject
    * @param FunctionObject
    * @param TopRowObject
    * @param LeftColumnObject
    * @param SourcesObject
    * @param FunctionObject
    * @param TopRowObject
    * @param LeftColumnObject
    * @return Object
    */
    public Object Consolidate(Object Sources,Object Function,Object TopRow,Object LeftColumn)
    {
        return(ambig_Consolidate(Sources,Function,TopRow,LeftColumn));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SourcesObject
    * @param FunctionObject
    * @param TopRowObject
    * @param SourcesObject
    * @param FunctionObject
    * @param TopRowObject
    * @return Object
    */
    public Object Consolidate(Object Sources,Object Function,Object TopRow)
    {
        return(ambig_Consolidate(Sources,Function,TopRow));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SourcesObject
    * @param FunctionObject
    * @param SourcesObject
    * @param FunctionObject
    * @return Object
    */
    public Object Consolidate(Object Sources,Object Function)
    {
        return(ambig_Consolidate(Sources,Function));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SourcesObject
    * @param SourcesObject
    * @return Object
    */
    public Object Consolidate(Object Sources)
    {
        return(ambig_Consolidate(Sources));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Consolidate()
    {
        return(ambig_Consolidate());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DestinationObject
    * @return Object
    */
    public Object Copy(Object Destination)
    {
        return(ambig_Copy(Destination));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Copy()
    {
        return(ambig_Copy());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AppearanceXlPictureAppearanceEnum
    * @param FormatXlCopyPictureFormatEnum
    * @param AppearanceXlPictureAppearanceEnum
    * @param FormatXlCopyPictureFormatEnum
    * @return Object
    */
    public Object CopyPicture(XlPictureAppearanceEnum Appearance,XlCopyPictureFormatEnum Format)
    {
        return(ambig_CopyPicture(Appearance,Format));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param AppearanceXlPictureAppearanceEnum
    * @param AppearanceXlPictureAppearanceEnum
    * @return Object
    */
    public Object CopyPicture(XlPictureAppearanceEnum Appearance)
    {
        return(ambig_CopyPicture(Appearance));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object CopyPicture()
    {
        return(ambig_CopyPicture());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TopObject
    * @param LeftObject
    * @param BottomObject
    * @param RightObject
    * @param TopObject
    * @param LeftObject
    * @param BottomObject
    * @param RightObject
    * @return Object
    */
    public Object CreateNames(Object Top,Object Left,Object Bottom,Object Right)
    {
        return(ambig_CreateNames(Top,Left,Bottom,Right));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object CreateNames(Map TheParams)
    {
        return(ambig_CreateNames(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TopObject
    * @param LeftObject
    * @param BottomObject
    * @param TopObject
    * @param LeftObject
    * @param BottomObject
    * @return Object
    */
    public Object CreateNames(Object Top,Object Left,Object Bottom)
    {
        return(ambig_CreateNames(Top,Left,Bottom));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TopObject
    * @param LeftObject
    * @param TopObject
    * @param LeftObject
    * @return Object
    */
    public Object CreateNames(Object Top,Object Left)
    {
        return(ambig_CreateNames(Top,Left));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TopObject
    * @param TopObject
    * @return Object
    */
    public Object CreateNames(Object Top)
    {
        return(ambig_CreateNames(Top));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object CreateNames()
    {
        return(ambig_CreateNames());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param EditionObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ContainsPICTObject
    * @param ContainsBIFFObject
    * @param ContainsRTFObject
    * @param ContainsVALUObject
    * @param EditionObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ContainsPICTObject
    * @param ContainsBIFFObject
    * @param ContainsRTFObject
    * @param ContainsVALUObject
    * @return Object
    */
    public Object CreatePublisher(Object Edition,XlPictureAppearanceEnum Appearance,Object ContainsPICT,Object ContainsBIFF,Object ContainsRTF,Object ContainsVALU)
    {
        return(ambig_CreatePublisher(Edition,Appearance,ContainsPICT,ContainsBIFF,ContainsRTF,ContainsVALU));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object CreatePublisher(Map TheParams)
    {
        return(ambig_CreatePublisher(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param EditionObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ContainsPICTObject
    * @param ContainsBIFFObject
    * @param ContainsRTFObject
    * @param EditionObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ContainsPICTObject
    * @param ContainsBIFFObject
    * @param ContainsRTFObject
    * @return Object
    */
    public Object CreatePublisher(Object Edition,XlPictureAppearanceEnum Appearance,Object ContainsPICT,Object ContainsBIFF,Object ContainsRTF)
    {
        return(ambig_CreatePublisher(Edition,Appearance,ContainsPICT,ContainsBIFF,ContainsRTF));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param EditionObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ContainsPICTObject
    * @param ContainsBIFFObject
    * @param EditionObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ContainsPICTObject
    * @param ContainsBIFFObject
    * @return Object
    */
    public Object CreatePublisher(Object Edition,XlPictureAppearanceEnum Appearance,Object ContainsPICT,Object ContainsBIFF)
    {
        return(ambig_CreatePublisher(Edition,Appearance,ContainsPICT,ContainsBIFF));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param EditionObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ContainsPICTObject
    * @param EditionObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ContainsPICTObject
    * @return Object
    */
    public Object CreatePublisher(Object Edition,XlPictureAppearanceEnum Appearance,Object ContainsPICT)
    {
        return(ambig_CreatePublisher(Edition,Appearance,ContainsPICT));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param EditionObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param EditionObject
    * @param AppearanceXlPictureAppearanceEnum
    * @return Object
    */
    public Object CreatePublisher(Object Edition,XlPictureAppearanceEnum Appearance)
    {
        return(ambig_CreatePublisher(Edition,Appearance));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param EditionObject
    * @param EditionObject
    * @return Object
    */
    public Object CreatePublisher(Object Edition)
    {
        return(ambig_CreatePublisher(Edition));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object CreatePublisher()
    {
        return(ambig_CreatePublisher());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DestinationObject
    * @return Object
    */
    public Object Cut(Object Destination)
    {
        return(ambig_Cut(Destination));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Cut()
    {
        return(ambig_Cut());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowcolObject
    * @param TypeXlDataSeriesTypeEnum
    * @param DateXlDataSeriesDateEnum
    * @param StepObject
    * @param StopObject
    * @param TrendObject
    * @param RowcolObject
    * @param TypeXlDataSeriesTypeEnum
    * @param DateXlDataSeriesDateEnum
    * @param StepObject
    * @param StopObject
    * @param TrendObject
    * @return Object
    */
    public Object DataSeries(Object Rowcol,XlDataSeriesTypeEnum Type,XlDataSeriesDateEnum Date,Object Step,Object Stop,Object Trend)
    {
        return(ambig_DataSeries(Rowcol,Type,Date,Step,Stop,Trend));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object DataSeries(Map TheParams)
    {
        return(ambig_DataSeries(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowcolObject
    * @param TypeXlDataSeriesTypeEnum
    * @param DateXlDataSeriesDateEnum
    * @param StepObject
    * @param StopObject
    * @param RowcolObject
    * @param TypeXlDataSeriesTypeEnum
    * @param DateXlDataSeriesDateEnum
    * @param StepObject
    * @param StopObject
    * @return Object
    */
    public Object DataSeries(Object Rowcol,XlDataSeriesTypeEnum Type,XlDataSeriesDateEnum Date,Object Step,Object Stop)
    {
        return(ambig_DataSeries(Rowcol,Type,Date,Step,Stop));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowcolObject
    * @param TypeXlDataSeriesTypeEnum
    * @param DateXlDataSeriesDateEnum
    * @param StepObject
    * @param RowcolObject
    * @param TypeXlDataSeriesTypeEnum
    * @param DateXlDataSeriesDateEnum
    * @param StepObject
    * @return Object
    */
    public Object DataSeries(Object Rowcol,XlDataSeriesTypeEnum Type,XlDataSeriesDateEnum Date,Object Step)
    {
        return(ambig_DataSeries(Rowcol,Type,Date,Step));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowcolObject
    * @param TypeXlDataSeriesTypeEnum
    * @param DateXlDataSeriesDateEnum
    * @param RowcolObject
    * @param TypeXlDataSeriesTypeEnum
    * @param DateXlDataSeriesDateEnum
    * @return Object
    */
    public Object DataSeries(Object Rowcol,XlDataSeriesTypeEnum Type,XlDataSeriesDateEnum Date)
    {
        return(ambig_DataSeries(Rowcol,Type,Date));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowcolObject
    * @param TypeXlDataSeriesTypeEnum
    * @param RowcolObject
    * @param TypeXlDataSeriesTypeEnum
    * @return Object
    */
    public Object DataSeries(Object Rowcol,XlDataSeriesTypeEnum Type)
    {
        return(ambig_DataSeries(Rowcol,Type));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowcolObject
    * @param RowcolObject
    * @return Object
    */
    public Object DataSeries(Object Rowcol)
    {
        return(ambig_DataSeries(Rowcol));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object DataSeries()
    {
        return(ambig_DataSeries());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowIndexObject
    * @param ColumnIndexObject
    * @param RowIndexObject
    * @param ColumnIndexObject
    * @return Object
    */
    public Object get_Default(Object RowIndex,Object ColumnIndex)
    {
        return(ambig_get_Default(RowIndex,ColumnIndex));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowIndexObject
    * @param RowIndexObject
    * @return Object
    */
    public Object get_Default(Object RowIndex)
    {
        return(ambig_get_Default(RowIndex));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object get_Default()
    {
        return(ambig_get_Default());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ShiftObject
    * @param ShiftObject
    * @return Object
    */
    public Object Delete(Object Shift)
    {
        return(ambig_Delete(Shift));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Delete()
    {
        return(ambig_Delete());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object DialogBox()
    {
        return(ambig_DialogBox());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @param NameObject
    * @param ReferenceObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ChartSizeXlPictureAppearanceEnum
    * @param FormatObject
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @param NameObject
    * @param ReferenceObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ChartSizeXlPictureAppearanceEnum
    * @param FormatObject
    * @return Object
    */
    public Object EditionOptions(XlEditionTypeEnum Type,XlEditionOptionsOptionEnum Option,Object Name,Object Reference,XlPictureAppearanceEnum Appearance,XlPictureAppearanceEnum ChartSize,Object Format)
    {
        return(ambig_EditionOptions(Type,Option,Name,Reference,Appearance,ChartSize,Format));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object EditionOptions(Map TheParams)
    {
        return(ambig_EditionOptions(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @param NameObject
    * @param ReferenceObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ChartSizeXlPictureAppearanceEnum
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @param NameObject
    * @param ReferenceObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param ChartSizeXlPictureAppearanceEnum
    * @return Object
    */
    public Object EditionOptions(XlEditionTypeEnum Type,XlEditionOptionsOptionEnum Option,Object Name,Object Reference,XlPictureAppearanceEnum Appearance,XlPictureAppearanceEnum ChartSize)
    {
        return(ambig_EditionOptions(Type,Option,Name,Reference,Appearance,ChartSize));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @param NameObject
    * @param ReferenceObject
    * @param AppearanceXlPictureAppearanceEnum
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @param NameObject
    * @param ReferenceObject
    * @param AppearanceXlPictureAppearanceEnum
    * @return Object
    */
    public Object EditionOptions(XlEditionTypeEnum Type,XlEditionOptionsOptionEnum Option,Object Name,Object Reference,XlPictureAppearanceEnum Appearance)
    {
        return(ambig_EditionOptions(Type,Option,Name,Reference,Appearance));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @param NameObject
    * @param ReferenceObject
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @param NameObject
    * @param ReferenceObject
    * @return Object
    */
    public Object EditionOptions(XlEditionTypeEnum Type,XlEditionOptionsOptionEnum Option,Object Name,Object Reference)
    {
        return(ambig_EditionOptions(Type,Option,Name,Reference));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @param NameObject
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @param NameObject
    * @return Object
    */
    public Object EditionOptions(XlEditionTypeEnum Type,XlEditionOptionsOptionEnum Option,Object Name)
    {
        return(ambig_EditionOptions(Type,Option,Name));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @param TypeXlEditionTypeEnum
    * @param OptionXlEditionOptionsOptionEnum
    * @return Object
    */
    public Object EditionOptions(XlEditionTypeEnum Type,XlEditionOptionsOptionEnum Option)
    {
        return(ambig_EditionOptions(Type,Option));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object FillDown()
    {
        return(ambig_FillDown());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object FillLeft()
    {
        return(ambig_FillLeft());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object FillRight()
    {
        return(ambig_FillRight());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object FillUp()
    {
        return(ambig_FillUp());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getFormula()
    {
        return(ambig_getFormula());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getFormulaArray()
    {
        return(ambig_getFormulaArray());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getFormulaHidden()
    {
        return(ambig_getFormulaHidden());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getFormulaLocal()
    {
        return(ambig_getFormulaLocal());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getFormulaR1C1()
    {
        return(ambig_getFormulaR1C1());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getFormulaR1C1Local()
    {
        return(ambig_getFormulaR1C1Local());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object FunctionWizard()
    {
        return(ambig_FunctionWizard());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param StartObject
    * @param EndObject
    * @param ByObject
    * @param PeriodsObject
    * @param StartObject
    * @param EndObject
    * @param ByObject
    * @param PeriodsObject
    * @return Object
    */
    public Object Group(Object Start,Object End,Object By,Object Periods)
    {
        return(ambig_Group(Start,End,By,Periods));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object Group(Map TheParams)
    {
        return(ambig_Group(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param StartObject
    * @param EndObject
    * @param ByObject
    * @param StartObject
    * @param EndObject
    * @param ByObject
    * @return Object
    */
    public Object Group(Object Start,Object End,Object By)
    {
        return(ambig_Group(Start,End,By));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param StartObject
    * @param EndObject
    * @param StartObject
    * @param EndObject
    * @return Object
    */
    public Object Group(Object Start,Object End)
    {
        return(ambig_Group(Start,End));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param StartObject
    * @param StartObject
    * @return Object
    */
    public Object Group(Object Start)
    {
        return(ambig_Group(Start));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Group()
    {
        return(ambig_Group());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getHasArray()
    {
        return(ambig_getHasArray());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getHasFormula()
    {
        return(ambig_getHasFormula());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getHeight()
    {
        return(ambig_getHeight());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getHidden()
    {
        return(ambig_getHidden());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getHorizontalAlignment()
    {
        return(ambig_getHorizontalAlignment());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getIndentLevel()
    {
        return(ambig_getIndentLevel());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ShiftObject
    * @param ShiftObject
    * @return Object
    */
    public Object Insert(Object Shift)
    {
        return(ambig_Insert(Shift));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Insert()
    {
        return(ambig_Insert());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowIndexObject
    * @param ColumnIndexObject
    * @param RowIndexObject
    * @param ColumnIndexObject
    * @return Object
    */
    public Object getItem(Object RowIndex,Object ColumnIndex)
    {
        return(ambig_getItem(RowIndex,ColumnIndex));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowIndexObject
    * @param RowIndexObject
    * @return Object
    */
    public Object getItem(Object RowIndex)
    {
        return(ambig_getItem(RowIndex));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Justify()
    {
        return(ambig_Justify());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getLeft()
    {
        return(ambig_getLeft());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ListNames()
    {
        return(ambig_ListNames());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getLocked()
    {
        return(ambig_getLocked());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getMergeCells()
    {
        return(ambig_getMergeCells());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getName()
    {
        return(ambig_getName());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TowardPrecedentObject
    * @param ArrowNumberObject
    * @param LinkNumberObject
    * @param TowardPrecedentObject
    * @param ArrowNumberObject
    * @param LinkNumberObject
    * @return Object
    */
    public Object NavigateArrow(Object TowardPrecedent,Object ArrowNumber,Object LinkNumber)
    {
        return(ambig_NavigateArrow(TowardPrecedent,ArrowNumber,LinkNumber));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object NavigateArrow(Map TheParams)
    {
        return(ambig_NavigateArrow(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TowardPrecedentObject
    * @param ArrowNumberObject
    * @param TowardPrecedentObject
    * @param ArrowNumberObject
    * @return Object
    */
    public Object NavigateArrow(Object TowardPrecedent,Object ArrowNumber)
    {
        return(ambig_NavigateArrow(TowardPrecedent,ArrowNumber));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TowardPrecedentObject
    * @param TowardPrecedentObject
    * @return Object
    */
    public Object NavigateArrow(Object TowardPrecedent)
    {
        return(ambig_NavigateArrow(TowardPrecedent));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object NavigateArrow()
    {
        return(ambig_NavigateArrow());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return IUnknown
    */
    public IUnknown get_NewEnum()
    {
        return(ambig_get_NewEnum());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getNumberFormat()
    {
        return(ambig_getNumberFormat());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getNumberFormatLocal()
    {
        return(ambig_getNumberFormatLocal());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getOrientation()
    {
        return(ambig_getOrientation());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getOutlineLevel()
    {
        return(ambig_getOutlineLevel());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ParseLineObject
    * @param DestinationObject
    * @param ParseLineObject
    * @param DestinationObject
    * @return Object
    */
    public Object Parse(Object ParseLine,Object Destination)
    {
        return(ambig_Parse(ParseLine,Destination));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ParseLineObject
    * @param ParseLineObject
    * @return Object
    */
    public Object Parse(Object ParseLine)
    {
        return(ambig_Parse(ParseLine));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Parse()
    {
        return(ambig_Parse());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PasteXlPasteTypeEnum
    * @param OperationXlPasteSpecialOperationEnum
    * @param SkipBlanksObject
    * @param TransposeObject
    * @param PasteXlPasteTypeEnum
    * @param OperationXlPasteSpecialOperationEnum
    * @param SkipBlanksObject
    * @param TransposeObject
    * @return Object
    */
    public Object PasteSpecial(XlPasteTypeEnum Paste,XlPasteSpecialOperationEnum Operation,Object SkipBlanks,Object Transpose)
    {
        return(ambig_PasteSpecial(Paste,Operation,SkipBlanks,Transpose));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object PasteSpecial(Map TheParams)
    {
        return(ambig_PasteSpecial(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PasteXlPasteTypeEnum
    * @param OperationXlPasteSpecialOperationEnum
    * @param SkipBlanksObject
    * @param PasteXlPasteTypeEnum
    * @param OperationXlPasteSpecialOperationEnum
    * @param SkipBlanksObject
    * @return Object
    */
    public Object PasteSpecial(XlPasteTypeEnum Paste,XlPasteSpecialOperationEnum Operation,Object SkipBlanks)
    {
        return(ambig_PasteSpecial(Paste,Operation,SkipBlanks));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PasteXlPasteTypeEnum
    * @param OperationXlPasteSpecialOperationEnum
    * @param PasteXlPasteTypeEnum
    * @param OperationXlPasteSpecialOperationEnum
    * @return Object
    */
    public Object PasteSpecial(XlPasteTypeEnum Paste,XlPasteSpecialOperationEnum Operation)
    {
        return(ambig_PasteSpecial(Paste,Operation));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PasteXlPasteTypeEnum
    * @param PasteXlPasteTypeEnum
    * @return Object
    */
    public Object PasteSpecial(XlPasteTypeEnum Paste)
    {
        return(ambig_PasteSpecial(Paste));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object PasteSpecial()
    {
        return(ambig_PasteSpecial());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getPrefixCharacter()
    {
        return(ambig_getPrefixCharacter());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param CollateObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param CollateObject
    * @return Object
    */
    public Object _PrintOut(Object From,Object To,Object Copies,Object Preview,Object ActivePrinter,Object PrintToFile,Object Collate)
    {
        return(ambig__PrintOut(From,To,Copies,Preview,ActivePrinter,PrintToFile,Collate));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object _PrintOut(Map TheParams)
    {
        return(ambig__PrintOut(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @return Object
    */
    public Object _PrintOut(Object From,Object To,Object Copies,Object Preview,Object ActivePrinter,Object PrintToFile)
    {
        return(ambig__PrintOut(From,To,Copies,Preview,ActivePrinter,PrintToFile));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @return Object
    */
    public Object _PrintOut(Object From,Object To,Object Copies,Object Preview,Object ActivePrinter)
    {
        return(ambig__PrintOut(From,To,Copies,Preview,ActivePrinter));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @return Object
    */
    public Object _PrintOut(Object From,Object To,Object Copies,Object Preview)
    {
        return(ambig__PrintOut(From,To,Copies,Preview));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @return Object
    */
    public Object _PrintOut(Object From,Object To,Object Copies)
    {
        return(ambig__PrintOut(From,To,Copies));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param FromObject
    * @param ToObject
    * @return Object
    */
    public Object _PrintOut(Object From,Object To)
    {
        return(ambig__PrintOut(From,To));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param FromObject
    * @return Object
    */
    public Object _PrintOut(Object From)
    {
        return(ambig__PrintOut(From));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object _PrintOut()
    {
        return(ambig__PrintOut());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param EnableChangesObject
    * @param EnableChangesObject
    * @return Object
    */
    public Object PrintPreview(Object EnableChanges)
    {
        return(ambig_PrintPreview(EnableChanges));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object PrintPreview()
    {
        return(ambig_PrintPreview());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object RemoveSubtotal()
    {
        return(ambig_RemoveSubtotal());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getRowHeight()
    {
        return(ambig_getRowHeight());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param Arg30Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param Arg30Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28,Object Arg29,Object Arg30)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28,Arg29,Arg30));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object Run(Map TheParams)
    {
        return(ambig_Run(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg29Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28,Object Arg29)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28,Arg29));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg28Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27,Object Arg28)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27,Arg28));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg27Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26,Object Arg27)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26,Arg27));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg26Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25,Object Arg26)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25,Arg26));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg25Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24,Object Arg25)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24,Arg25));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg24Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23,Object Arg24)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23,Arg24));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg23Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22,Object Arg23)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22,Arg23));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg22Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21,Object Arg22)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21,Arg22));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg21Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20,Object Arg21)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20,Arg21));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg20Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19,Object Arg20)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19,Arg20));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg19Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18,Object Arg19)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18,Arg19));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg18Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17,Object Arg18)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17,Arg18));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg17Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16,Object Arg17)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16,Arg17));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg16Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15,Object Arg16)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15,Arg16));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg15Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14,Object Arg15)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14,Arg15));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg14Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13,Object Arg14)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13,Arg14));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg13Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12,Object Arg13)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12,Arg13));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg12Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11,Object Arg12)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11,Arg12));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg11Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10,Object Arg11)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10,Arg11));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg10Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9,Object Arg10)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9,Arg10));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg9Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8,Object Arg9)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8,Arg9));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg8Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7,Object Arg8)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7,Arg8));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg7Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6,Object Arg7)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6,Arg7));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg6Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5,Object Arg6)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5,Arg6));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg5Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4,Object Arg5)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4,Arg5));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg4Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3,Object Arg4)
    {
        return(ambig_Run(Arg1,Arg2,Arg3,Arg4));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg3Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2,Object Arg3)
    {
        return(ambig_Run(Arg1,Arg2,Arg3));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg2Object
    * @param Arg1Object
    * @param Arg2Object
    * @return Object
    */
    public Object Run(Object Arg1,Object Arg2)
    {
        return(ambig_Run(Arg1,Arg2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Arg1Object
    * @param Arg1Object
    * @return Object
    */
    public Object Run(Object Arg1)
    {
        return(ambig_Run(Arg1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Run()
    {
        return(ambig_Run());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Select()
    {
        return(ambig_Select());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Show()
    {
        return(ambig_Show());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RemoveObject
    * @param RemoveObject
    * @return Object
    */
    public Object ShowDependents(Object Remove)
    {
        return(ambig_ShowDependents(Remove));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ShowDependents()
    {
        return(ambig_ShowDependents());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getShowDetail()
    {
        return(ambig_getShowDetail());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ShowErrors()
    {
        return(ambig_ShowErrors());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RemoveObject
    * @param RemoveObject
    * @return Object
    */
    public Object ShowPrecedents(Object Remove)
    {
        return(ambig_ShowPrecedents(Remove));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ShowPrecedents()
    {
        return(ambig_ShowPrecedents());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getShrinkToFit()
    {
        return(ambig_getShrinkToFit());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param MatchCaseObject
    * @param OrientationXlSortOrientationEnum
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param MatchCaseObject
    * @param OrientationXlSortOrientationEnum
    * @param SortMethodXlSortMethodEnum
    * @return Object
    */
    public Object Sort(Object Key1,XlSortOrderEnum Order1,Object Key2,Object Type,XlSortOrderEnum Order2,Object Key3,XlSortOrderEnum Order3,XlYesNoGuessEnum Header,Object OrderCustom,Object MatchCase,XlSortOrientationEnum Orientation,XlSortMethodEnum SortMethod)
    {
        return(ambig_Sort(Key1,Order1,Key2,Type,Order2,Key3,Order3,Header,OrderCustom,MatchCase,Orientation,SortMethod));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object Sort(Map TheParams)
    {
        return(ambig_Sort(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param MatchCaseObject
    * @param OrientationXlSortOrientationEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param MatchCaseObject
    * @param OrientationXlSortOrientationEnum
    * @return Object
    */
    public Object Sort(Object Key1,XlSortOrderEnum Order1,Object Key2,Object Type,XlSortOrderEnum Order2,Object Key3,XlSortOrderEnum Order3,XlYesNoGuessEnum Header,Object OrderCustom,Object MatchCase,XlSortOrientationEnum Orientation)
    {
        return(ambig_Sort(Key1,Order1,Key2,Type,Order2,Key3,Order3,Header,OrderCustom,MatchCase,Orientation));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param MatchCaseObject
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param MatchCaseObject
    * @return Object
    */
    public Object Sort(Object Key1,XlSortOrderEnum Order1,Object Key2,Object Type,XlSortOrderEnum Order2,Object Key3,XlSortOrderEnum Order3,XlYesNoGuessEnum Header,Object OrderCustom,Object MatchCase)
    {
        return(ambig_Sort(Key1,Order1,Key2,Type,Order2,Key3,Order3,Header,OrderCustom,MatchCase));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @return Object
    */
    public Object Sort(Object Key1,XlSortOrderEnum Order1,Object Key2,Object Type,XlSortOrderEnum Order2,Object Key3,XlSortOrderEnum Order3,XlYesNoGuessEnum Header,Object OrderCustom)
    {
        return(ambig_Sort(Key1,Order1,Key2,Type,Order2,Key3,Order3,Header,OrderCustom));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @return Object
    */
    public Object Sort(Object Key1,XlSortOrderEnum Order1,Object Key2,Object Type,XlSortOrderEnum Order2,Object Key3,XlSortOrderEnum Order3,XlYesNoGuessEnum Header)
    {
        return(ambig_Sort(Key1,Order1,Key2,Type,Order2,Key3,Order3,Header));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @return Object
    */
    public Object Sort(Object Key1,XlSortOrderEnum Order1,Object Key2,Object Type,XlSortOrderEnum Order2,Object Key3,XlSortOrderEnum Order3)
    {
        return(ambig_Sort(Key1,Order1,Key2,Type,Order2,Key3,Order3));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @return Object
    */
    public Object Sort(Object Key1,XlSortOrderEnum Order1,Object Key2,Object Type,XlSortOrderEnum Order2,Object Key3)
    {
        return(ambig_Sort(Key1,Order1,Key2,Type,Order2,Key3));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Order2XlSortOrderEnum
    * @return Object
    */
    public Object Sort(Object Key1,XlSortOrderEnum Order1,Object Key2,Object Type,XlSortOrderEnum Order2)
    {
        return(ambig_Sort(Key1,Order1,Key2,Type,Order2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param TypeObject
    * @return Object
    */
    public Object Sort(Object Key1,XlSortOrderEnum Order1,Object Key2,Object Type)
    {
        return(ambig_Sort(Key1,Order1,Key2,Type));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key2Object
    * @return Object
    */
    public Object Sort(Object Key1,XlSortOrderEnum Order1,Object Key2)
    {
        return(ambig_Sort(Key1,Order1,Key2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @return Object
    */
    public Object Sort(Object Key1,XlSortOrderEnum Order1)
    {
        return(ambig_Sort(Key1,Order1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param Key1Object
    * @param Key1Object
    * @return Object
    */
    public Object Sort(Object Key1)
    {
        return(ambig_Sort(Key1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Sort()
    {
        return(ambig_Sort());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param MatchCaseObject
    * @param OrientationXlSortOrientationEnum
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param MatchCaseObject
    * @param OrientationXlSortOrientationEnum
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod,Object Key1,XlSortOrderEnum Order1,Object Type,Object Key2,XlSortOrderEnum Order2,Object Key3,XlSortOrderEnum Order3,XlYesNoGuessEnum Header,Object OrderCustom,Object MatchCase,XlSortOrientationEnum Orientation)
    {
        return(ambig_SortSpecial(SortMethod,Key1,Order1,Type,Key2,Order2,Key3,Order3,Header,OrderCustom,MatchCase,Orientation));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object SortSpecial(Map TheParams)
    {
        return(ambig_SortSpecial(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param MatchCaseObject
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param MatchCaseObject
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod,Object Key1,XlSortOrderEnum Order1,Object Type,Object Key2,XlSortOrderEnum Order2,Object Key3,XlSortOrderEnum Order3,XlYesNoGuessEnum Header,Object OrderCustom,Object MatchCase)
    {
        return(ambig_SortSpecial(SortMethod,Key1,Order1,Type,Key2,Order2,Key3,Order3,Header,OrderCustom,MatchCase));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param OrderCustomObject
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod,Object Key1,XlSortOrderEnum Order1,Object Type,Object Key2,XlSortOrderEnum Order2,Object Key3,XlSortOrderEnum Order3,XlYesNoGuessEnum Header,Object OrderCustom)
    {
        return(ambig_SortSpecial(SortMethod,Key1,Order1,Type,Key2,Order2,Key3,Order3,Header,OrderCustom));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param HeaderXlYesNoGuessEnum
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod,Object Key1,XlSortOrderEnum Order1,Object Type,Object Key2,XlSortOrderEnum Order2,Object Key3,XlSortOrderEnum Order3,XlYesNoGuessEnum Header)
    {
        return(ambig_SortSpecial(SortMethod,Key1,Order1,Type,Key2,Order2,Key3,Order3,Header));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param Order3XlSortOrderEnum
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod,Object Key1,XlSortOrderEnum Order1,Object Type,Object Key2,XlSortOrderEnum Order2,Object Key3,XlSortOrderEnum Order3)
    {
        return(ambig_SortSpecial(SortMethod,Key1,Order1,Type,Key2,Order2,Key3,Order3));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param Key3Object
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod,Object Key1,XlSortOrderEnum Order1,Object Type,Object Key2,XlSortOrderEnum Order2,Object Key3)
    {
        return(ambig_SortSpecial(SortMethod,Key1,Order1,Type,Key2,Order2,Key3));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param Order2XlSortOrderEnum
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod,Object Key1,XlSortOrderEnum Order1,Object Type,Object Key2,XlSortOrderEnum Order2)
    {
        return(ambig_SortSpecial(SortMethod,Key1,Order1,Type,Key2,Order2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param Key2Object
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod,Object Key1,XlSortOrderEnum Order1,Object Type,Object Key2)
    {
        return(ambig_SortSpecial(SortMethod,Key1,Order1,Type,Key2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param TypeObject
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod,Object Key1,XlSortOrderEnum Order1,Object Type)
    {
        return(ambig_SortSpecial(SortMethod,Key1,Order1,Type));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param Order1XlSortOrderEnum
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod,Object Key1,XlSortOrderEnum Order1)
    {
        return(ambig_SortSpecial(SortMethod,Key1,Order1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @param SortMethodXlSortMethodEnum
    * @param Key1Object
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod,Object Key1)
    {
        return(ambig_SortSpecial(SortMethod,Key1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SortMethodXlSortMethodEnum
    * @param SortMethodXlSortMethodEnum
    * @return Object
    */
    public Object SortSpecial(XlSortMethodEnum SortMethod)
    {
        return(ambig_SortSpecial(SortMethod));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object SortSpecial()
    {
        return(ambig_SortSpecial());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getStyle()
    {
        return(ambig_getStyle());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param EditionString
    * @param FormatXlSubscribeToFormatEnum
    * @param EditionString
    * @param FormatXlSubscribeToFormatEnum
    * @return Object
    */
    public Object SubscribeTo(String Edition,XlSubscribeToFormatEnum Format)
    {
        return(ambig_SubscribeTo(Edition,Format));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param EditionString
    * @param EditionString
    * @return Object
    */
    public Object SubscribeTo(String Edition)
    {
        return(ambig_SubscribeTo(Edition));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param GroupByint
    * @param FunctionXlConsolidationFunctionEnum
    * @param TotalListObject
    * @param ReplaceObject
    * @param PageBreaksObject
    * @param SummaryBelowDataXlSummaryRowEnum
    * @param GroupByint
    * @param FunctionXlConsolidationFunctionEnum
    * @param TotalListObject
    * @param ReplaceObject
    * @param PageBreaksObject
    * @param SummaryBelowDataXlSummaryRowEnum
    * @return Object
    */
    public Object Subtotal(int GroupBy,XlConsolidationFunctionEnum Function,Object TotalList,Object Replace,Object PageBreaks,XlSummaryRowEnum SummaryBelowData)
    {
        return(ambig_Subtotal(GroupBy,Function,TotalList,Replace,PageBreaks,SummaryBelowData));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object Subtotal(Map TheParams)
    {
        return(ambig_Subtotal(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param GroupByint
    * @param FunctionXlConsolidationFunctionEnum
    * @param TotalListObject
    * @param ReplaceObject
    * @param PageBreaksObject
    * @param GroupByint
    * @param FunctionXlConsolidationFunctionEnum
    * @param TotalListObject
    * @param ReplaceObject
    * @param PageBreaksObject
    * @return Object
    */
    public Object Subtotal(int GroupBy,XlConsolidationFunctionEnum Function,Object TotalList,Object Replace,Object PageBreaks)
    {
        return(ambig_Subtotal(GroupBy,Function,TotalList,Replace,PageBreaks));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param GroupByint
    * @param FunctionXlConsolidationFunctionEnum
    * @param TotalListObject
    * @param ReplaceObject
    * @param GroupByint
    * @param FunctionXlConsolidationFunctionEnum
    * @param TotalListObject
    * @param ReplaceObject
    * @return Object
    */
    public Object Subtotal(int GroupBy,XlConsolidationFunctionEnum Function,Object TotalList,Object Replace)
    {
        return(ambig_Subtotal(GroupBy,Function,TotalList,Replace));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param GroupByint
    * @param FunctionXlConsolidationFunctionEnum
    * @param TotalListObject
    * @param GroupByint
    * @param FunctionXlConsolidationFunctionEnum
    * @param TotalListObject
    * @return Object
    */
    public Object Subtotal(int GroupBy,XlConsolidationFunctionEnum Function,Object TotalList)
    {
        return(ambig_Subtotal(GroupBy,Function,TotalList));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getSummary()
    {
        return(ambig_getSummary());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowInputObject
    * @param ColumnInputObject
    * @param RowInputObject
    * @param ColumnInputObject
    * @return Object
    */
    public Object Table(Object RowInput,Object ColumnInput)
    {
        return(ambig_Table(RowInput,ColumnInput));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowInputObject
    * @param RowInputObject
    * @return Object
    */
    public Object Table(Object RowInput)
    {
        return(ambig_Table(RowInput));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Table()
    {
        return(ambig_Table());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getText()
    {
        return(ambig_getText());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @param OtherObject
    * @param OtherCharObject
    * @param FieldInfoObject
    * @param DecimalSeparatorObject
    * @param ThousandsSeparatorObject
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @param OtherObject
    * @param OtherCharObject
    * @param FieldInfoObject
    * @param DecimalSeparatorObject
    * @param ThousandsSeparatorObject
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType,XlTextQualifierEnum TextQualifier,Object ConsecutiveDelimiter,Object Tab,Object Semicolon,Object Comma,Object Space,Object Other,Object OtherChar,Object FieldInfo,Object DecimalSeparator,Object ThousandsSeparator)
    {
        return(ambig_TextToColumns(Destination,DataType,TextQualifier,ConsecutiveDelimiter,Tab,Semicolon,Comma,Space,Other,OtherChar,FieldInfo,DecimalSeparator,ThousandsSeparator));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object TextToColumns(Map TheParams)
    {
        return(ambig_TextToColumns(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @param OtherObject
    * @param OtherCharObject
    * @param FieldInfoObject
    * @param DecimalSeparatorObject
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @param OtherObject
    * @param OtherCharObject
    * @param FieldInfoObject
    * @param DecimalSeparatorObject
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType,XlTextQualifierEnum TextQualifier,Object ConsecutiveDelimiter,Object Tab,Object Semicolon,Object Comma,Object Space,Object Other,Object OtherChar,Object FieldInfo,Object DecimalSeparator)
    {
        return(ambig_TextToColumns(Destination,DataType,TextQualifier,ConsecutiveDelimiter,Tab,Semicolon,Comma,Space,Other,OtherChar,FieldInfo,DecimalSeparator));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @param OtherObject
    * @param OtherCharObject
    * @param FieldInfoObject
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @param OtherObject
    * @param OtherCharObject
    * @param FieldInfoObject
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType,XlTextQualifierEnum TextQualifier,Object ConsecutiveDelimiter,Object Tab,Object Semicolon,Object Comma,Object Space,Object Other,Object OtherChar,Object FieldInfo)
    {
        return(ambig_TextToColumns(Destination,DataType,TextQualifier,ConsecutiveDelimiter,Tab,Semicolon,Comma,Space,Other,OtherChar,FieldInfo));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @param OtherObject
    * @param OtherCharObject
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @param OtherObject
    * @param OtherCharObject
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType,XlTextQualifierEnum TextQualifier,Object ConsecutiveDelimiter,Object Tab,Object Semicolon,Object Comma,Object Space,Object Other,Object OtherChar)
    {
        return(ambig_TextToColumns(Destination,DataType,TextQualifier,ConsecutiveDelimiter,Tab,Semicolon,Comma,Space,Other,OtherChar));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @param OtherObject
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @param OtherObject
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType,XlTextQualifierEnum TextQualifier,Object ConsecutiveDelimiter,Object Tab,Object Semicolon,Object Comma,Object Space,Object Other)
    {
        return(ambig_TextToColumns(Destination,DataType,TextQualifier,ConsecutiveDelimiter,Tab,Semicolon,Comma,Space,Other));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param SpaceObject
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType,XlTextQualifierEnum TextQualifier,Object ConsecutiveDelimiter,Object Tab,Object Semicolon,Object Comma,Object Space)
    {
        return(ambig_TextToColumns(Destination,DataType,TextQualifier,ConsecutiveDelimiter,Tab,Semicolon,Comma,Space));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param CommaObject
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType,XlTextQualifierEnum TextQualifier,Object ConsecutiveDelimiter,Object Tab,Object Semicolon,Object Comma)
    {
        return(ambig_TextToColumns(Destination,DataType,TextQualifier,ConsecutiveDelimiter,Tab,Semicolon,Comma));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param SemicolonObject
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType,XlTextQualifierEnum TextQualifier,Object ConsecutiveDelimiter,Object Tab,Object Semicolon)
    {
        return(ambig_TextToColumns(Destination,DataType,TextQualifier,ConsecutiveDelimiter,Tab,Semicolon));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param TabObject
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType,XlTextQualifierEnum TextQualifier,Object ConsecutiveDelimiter,Object Tab)
    {
        return(ambig_TextToColumns(Destination,DataType,TextQualifier,ConsecutiveDelimiter,Tab));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param ConsecutiveDelimiterObject
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType,XlTextQualifierEnum TextQualifier,Object ConsecutiveDelimiter)
    {
        return(ambig_TextToColumns(Destination,DataType,TextQualifier,ConsecutiveDelimiter));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param TextQualifierXlTextQualifierEnum
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType,XlTextQualifierEnum TextQualifier)
    {
        return(ambig_TextToColumns(Destination,DataType,TextQualifier));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @param DestinationObject
    * @param DataTypeXlTextParsingTypeEnum
    * @return Object
    */
    public Object TextToColumns(Object Destination,XlTextParsingTypeEnum DataType)
    {
        return(ambig_TextToColumns(Destination,DataType));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param DestinationObject
    * @param DestinationObject
    * @return Object
    */
    public Object TextToColumns(Object Destination)
    {
        return(ambig_TextToColumns(Destination));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object TextToColumns()
    {
        return(ambig_TextToColumns());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getTop()
    {
        return(ambig_getTop());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Ungroup()
    {
        return(ambig_Ungroup());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getUseStandardHeight()
    {
        return(ambig_getUseStandardHeight());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getUseStandardWidth()
    {
        return(ambig_getUseStandardWidth());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getValue()
    {
        return(ambig_getValue());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getValue2()
    {
        return(ambig_getValue2());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getVerticalAlignment()
    {
        return(ambig_getVerticalAlignment());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getWidth()
    {
        return(ambig_getWidth());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getWrapText()
    {
        return(ambig_getWrapText());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param CollateObject
    * @param PrToFileNameObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param CollateObject
    * @param PrToFileNameObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies,Object Preview,Object ActivePrinter,Object PrintToFile,Object Collate,Object PrToFileName)
    {
        return(ambig_PrintOut(From,To,Copies,Preview,ActivePrinter,PrintToFile,Collate,PrToFileName));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object PrintOut(Map TheParams)
    {
        return(ambig_PrintOut(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param CollateObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param CollateObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies,Object Preview,Object ActivePrinter,Object PrintToFile,Object Collate)
    {
        return(ambig_PrintOut(From,To,Copies,Preview,ActivePrinter,PrintToFile,Collate));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param PrintToFileObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies,Object Preview,Object ActivePrinter,Object PrintToFile)
    {
        return(ambig_PrintOut(From,To,Copies,Preview,ActivePrinter,PrintToFile));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param ActivePrinterObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies,Object Preview,Object ActivePrinter)
    {
        return(ambig_PrintOut(From,To,Copies,Preview,ActivePrinter));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param PreviewObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies,Object Preview)
    {
        return(ambig_PrintOut(From,To,Copies,Preview));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @param FromObject
    * @param ToObject
    * @param CopiesObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To,Object Copies)
    {
        return(ambig_PrintOut(From,To,Copies));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param ToObject
    * @param FromObject
    * @param ToObject
    * @return Object
    */
    public Object PrintOut(Object From,Object To)
    {
        return(ambig_PrintOut(From,To));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param FromObject
    * @param FromObject
    * @return Object
    */
    public Object PrintOut(Object From)
    {
        return(ambig_PrintOut(From));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object PrintOut()
    {
        return(ambig_PrintOut());
    }

}
