package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object Windows
* It is OK to edit this code 
* @author S Lewis
*/
public class Windows extends _Windows
{
    /**
    * default constructor
    */
    public Windows()
    {
    }
    /**
    * populating constructor
    */
    public Windows(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Windows(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ArrangeStyleXlArrangeStyleEnum
    * @param ActiveWorkbookObject
    * @param SyncHorizontalObject
    * @param SyncVerticalObject
    * @param ArrangeStyleXlArrangeStyleEnum
    * @param ActiveWorkbookObject
    * @param SyncHorizontalObject
    * @param SyncVerticalObject
    * @return Object
    */
    public Object Arrange(XlArrangeStyleEnum ArrangeStyle,Object ActiveWorkbook,Object SyncHorizontal,Object SyncVertical)
    {
        return(ambig_Arrange(ArrangeStyle,ActiveWorkbook,SyncHorizontal,SyncVertical));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object Arrange(Map TheParams)
    {
        return(ambig_Arrange(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ArrangeStyleXlArrangeStyleEnum
    * @param ActiveWorkbookObject
    * @param SyncHorizontalObject
    * @param ArrangeStyleXlArrangeStyleEnum
    * @param ActiveWorkbookObject
    * @param SyncHorizontalObject
    * @return Object
    */
    public Object Arrange(XlArrangeStyleEnum ArrangeStyle,Object ActiveWorkbook,Object SyncHorizontal)
    {
        return(ambig_Arrange(ArrangeStyle,ActiveWorkbook,SyncHorizontal));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ArrangeStyleXlArrangeStyleEnum
    * @param ActiveWorkbookObject
    * @param ArrangeStyleXlArrangeStyleEnum
    * @param ActiveWorkbookObject
    * @return Object
    */
    public Object Arrange(XlArrangeStyleEnum ArrangeStyle,Object ActiveWorkbook)
    {
        return(ambig_Arrange(ArrangeStyle,ActiveWorkbook));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ArrangeStyleXlArrangeStyleEnum
    * @param ArrangeStyleXlArrangeStyleEnum
    * @return Object
    */
    public Object Arrange(XlArrangeStyleEnum ArrangeStyle)
    {
        return(ambig_Arrange(ArrangeStyle));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Arrange()
    {
        return(ambig_Arrange());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return IUnknown
    */
    public IUnknown get_NewEnum()
    {
        return(ambig_get_NewEnum());
    }

}
