package com.microsoft.visio;
import com.microsoft.visio.gen.*;
import com.microsoft.visio.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object IVApplication
* It is OK to edit this code 
* @author S Lewis
*/
public class IVApplication extends _IVApplication
{
    /**
    * default constructor
    */
    public IVApplication()
    {
    }
    /**
    * populating constructor
    */
    public IVApplication(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public IVApplication(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getVbe()
    {
        return(ambig_getVbe());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getold_Addins()
    {
        return(ambig_getold_Addins());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getCommandBars()
    {
        return(ambig_getCommandBars());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getCOMAddIns()
    {
        return(ambig_getCOMAddIns());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getDefaultPageUnits()
    {
        return(ambig_getDefaultPageUnits());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getDefaultTextUnits()
    {
        return(ambig_getDefaultTextUnits());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getDefaultAngleUnits()
    {
        return(ambig_getDefaultAngleUnits());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getDefaultDurationUnits()
    {
        return(ambig_getDefaultDurationUnits());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param nWhichStatisticint
    * @param nWhichStatisticint
    * @return Object
    */
    public Object GetUsageStatistic(int nWhichStatistic)
    {
        return(ambig_GetUsageStatistic(nWhichStatistic));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return IUnknown
    */
    public IUnknown getConnectorToolDataObject()
    {
        return(ambig_getConnectorToolDataObject());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getSaveAsWebObject()
    {
        return(ambig_getSaveAsWebObject());
    }

}
