package com.microsoft.word;
import com.microsoft.word.gen.*;
import com.microsoft.word.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object _Document
* It is OK to edit this code 
* @author S Lewis
*/
public class Document extends _Document
{
    /**
    * default constructor
    */
    public Document()
    {
    }
    /**
    * populating constructor
    */
    public Document(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Document(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getBuiltInDocumentProperties()
    {
        return(ambig_getBuiltInDocumentProperties());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getCustomDocumentProperties()
    {
        return(ambig_getCustomDocumentProperties());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getAttachedTemplate()
    {
        return(ambig_getAttachedTemplate());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getContainer()
    {
        return(ambig_getContainer());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param ReferenceTypeObject[]
    * @param ReferenceTypeObject[]
    * @return Object
    */
    public Object GetCrossReferenceItems(Object[] ReferenceType)
    {
        return(ambig_GetCrossReferenceItems(ReferenceType));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getClickAndTypeParagraphStyle()
    {
        return(ambig_getClickAndTypeParagraphStyle());
    }

}
