package com.microsoft.word;
import com.microsoft.word.gen.*;
import com.microsoft.word.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object SynonymInfo
* It is OK to edit this code 
* @author S Lewis
*/
public class SynonymInfo extends _SynonymInfo
{
    /**
    * default constructor
    */
    public SynonymInfo()
    {
    }
    /**
    * populating constructor
    */
    public SynonymInfo(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public SynonymInfo(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getMeaningList()
    {
        return(ambig_getMeaningList());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getPartOfSpeechList()
    {
        return(ambig_getPartOfSpeechList());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MeaningObject[]
    * @param MeaningObject[]
    * @return Object
    */
    public Object getSynonymList(Object[] Meaning)
    {
        return(ambig_getSynonymList(Meaning));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getAntonymList()
    {
        return(ambig_getAntonymList());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getRelatedExpressionList()
    {
        return(ambig_getRelatedExpressionList());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getRelatedWordList()
    {
        return(ambig_getRelatedWordList());
    }

}
