package jp.jcomgenerator;
import jp.ne.so_net.ga2.no_ji.jcom.*;
import java.io.*;
import java.util.*;
import java.text.DateFormat;

public class ListTypes {

	static String tab = "\t";
	void listTypes(ITypeLib typeLib) {
		try {
			// t@CI[v(CSVŕۑĂƂ낪ASo)
			PrintWriter out = 
					new PrintWriter(new BufferedWriter(new FileWriter("ExcelTypes.csv")));

			int infocount = typeLib.getTypeInfoCount();
			for(int i=0; i<infocount; i++) {
				ITypeInfo info = typeLib.getTypeInfo(i);
				out.print(info.getDocumentation(-1)[0]+tab);
				ITypeInfo.TypeAttr attr = info.getTypeAttr();
				out.print(attr.getIID()+tab);
				switch(attr.getTypeKind()) {
					case ITypeInfo.TKIND_ENUM:			out.print("TKIND_ENUM");		break;
					case ITypeInfo.TKIND_RECORD:		out.print("TKIND_RECORD");		break;
					case ITypeInfo.TKIND_MODULE:		out.print("TKIND_MODULE");		break;
					case ITypeInfo.TKIND_INTERFACE:	out.print("TKIND_INTERFACE");	break;
					case ITypeInfo.TKIND_DISPATCH:		out.print("TKIND_DISPATCH");	break;
					case ITypeInfo.TKIND_COCLASS:		out.print("TKIND_COCLASS");		break;
					case ITypeInfo.TKIND_ALIAS:		out.print("TKIND_ALIAS");		break;
					case ITypeInfo.TKIND_UNION:		out.print("TKIND_UNION");		break;
				}
				int NFuncs = attr.getFuncs();
				int NVars = attr.getVars();
				out.println(tab+"Func="+attr.getFuncs()+tab+"Var="+attr.getVars());
				for(int j = 0; j  < NFuncs; j++ ) {
				}
				for(int k = 0; k  < NVars; k++ ) {
				}
				
			}
			out.close();
		}
		catch(Exception e) { e.printStackTrace(); }
	}

	public static void main(String[] args) throws Exception {
		ReleaseManager rm = new ReleaseManager();
		try {
			System.out.println("EXCEL + Something in Japanese");
			IDispatch xlApp = new IDispatch(rm, "Excel.Application");  // EXCEL{
			xlApp.put("Visible", new Boolean(true));	// 'ftHgFalse(\Ȃ)

			ITypeInfo typeInfo = xlApp.getTypeInfo();
			ITypeLib typeLib = typeInfo.getTypeLib();
			ListTypes listTypes = new ListTypes();
			listTypes.listTypes(typeLib);
			xlApp.invoke("Quit", null);
			System.out.println("ÒA肪Ƃ܂B");
		}
		catch(Exception e) { e.printStackTrace(); }
		finally { rm.release(); }
	}
}
